# Vertragsinhalte

Zu einem Vertrag können alle relevanten Informationen hinterlegt werden. Dies können <span
style='font-weight:bold;font-style:italic'>E-Mails</span>, <span
style='font-weight:bold;font-style:italic'>Schriftverkehr</span>, <span
style='font-weight:bold;font-style:italic'>Kündigungsschreiben</span>, <span
style='font-weight:bold;font-style:italic'>Rechnungen</span> oder <span
style='font-weight:bold;font-style:italic'>Vertragsdokumente</span> sein.

## Dokumente zu einem Vertrag ablegen

Vertragsrelevante Informationen sollten unterhalb des Vertrags mit der Maske <span
style='font-weight:bold;font-style:italic'>Contract Document</span> abgelegt werden. In diesem Fall greift die Index Server Vererbung und überträgt für die Suche relevante Informationen. 

Optional kann der verantwortliche Sachbearbeiter für das Dokument hinterlegt werden. Außerdem können vorgefertigte <a
href="#!/guide/pD9B63C45_48A0_4A0C_8FBD_B8BAB435312F">Vertragsklauseln</a> im Dokument hinterlegt werden.

<span class="tag_important">Für den Vertrag und Vertragsdokumente können unterschiedliche Verantwortlichkeiten hinterlegt werden. Das ist notwendig, um beispielsweise für Kündigungen eine andere Abteilung als für die Erstellung des Vertragsdokumentes festzulegen.</span>

{@img img1.png}

<span class="tag_warning">Werden Dokumente aus weiteren Prozessen zum Vertrag in Form einer Referenz abgelegt, greifen die Vererbungsmechanismen des Index Servers nicht mehr. Dies ist u.a. dann der Fall, wenn Rechnungen aus der <span
style='font-weight:bold;font-style:italic'>ELO Business Solution Invoice</span> Verträgen zugeordnet werden.</span>

## Strukturierung von Vertragsinhalten

Vertragsinhalte können durch Unterordner organisiert werden. Welche Struktur beim Anlegen eines neuen Vertrags automatisch gesetzt wird, kann im <a
href="#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF">Vertragstyp</a> hinterlegt werden.

> <span
style='font-style:italic'>Durch eine saubere Strukturierung von Vertragsinhalten lassen sich Dokumente nach deren Art organisieren. Dies ist notwendig, um E-Mails und Schriftverkehr, bspw. von Vertragsdokumenten gesondert abzulegen. </span>

{@img img3.png}

<span class="tag_important">Für Unterordner muss die Maske <span
style='font-weight:bold;font-style:italic'>Contract Structure</span> gewählt werden. Diese enthält eine Reihe von Indexfeldern, die u.a. für die Suche relevant sind. Die Index Server Vererbung sorgt dafür, dass alle Informationen aus dem Vertrag korrekt übernommen und auch an das Dokument korrekt weitergereicht werden.</span>

### Anlegen eines neuen Strukturelementes

Strukturen können auch für bestehende Verträge erweitert werden. Hierzu wird der Vertrag ausgewählt und die Funktion <span
style='font-weight:bold;font-style:italic'>Neuer Ordner</span> in der Multifunktionsleiste des Clients aufgerufen. Anschließend muss die Maske <span
style='font-weight:bold;font-style:italic'>Vertrag Struktur (Contract Structure)</span> gewählt werden.

Neben der Kurzbezeichnung sollte zudem die zugehörige Dokumentart angegeben werden. Diese wird als Indexmerkmal an Dokumente unterhalb der Struktur weitergereicht.

> <span
style='font-style:italic'>Der Ordner mit der Kurzbezeichnung </span><span
style='font-weight:bold;font-style:italic'>Vertragsdokumente</span><span
style='font-style:italic'> erhält zusätzlich die Dokumentenart </span><span
style='font-weight:bold;font-style:italic'>Vertragsdokument</span><span
style='font-style:italic'>. Dies ermöglicht es, später explizit nach </span><span
style='font-weight:bold;font-style:italic'>Vertragsdokumenten</span><span
style='font-style:italic'> zu suchen.</span>

{@img img5.png}

Strukturen können ebenfalls im <a
href="#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF">Typ des Vertrags</a> über die Konfiguration des Vertragsmanagements hinterlegt werden. Hierbei kann in der zweiten Spalte die Dokumentart angegeben werden.

{@img img7.png}



