# Zeitleiste

Die <span
style='font-weight:bold;font-style:italic'>Zeitenleistenansicht </span>im Dashboard bietet die beste Möglichkeit, Laufzeiten von verschiedenen Verträgen zu vergleichen. Farbliche Markierungen bieten darüber hinaus eine Sensibilisierung für anstehende Vertragsfristen.

{@img img1.png}

In dieser Ansicht steht jede Zeile für die Laufzeit eines aktiven Vertrages. Diese ist in der Regel unterteilt in verschiedene Zeitabschnitte, die sich durch die Vertragsfristen ergeben.

<span class="tag_important">Besitzt ein Vertrag keine Laufzeit (Vertragsbeginn fehlt), wird dieser aus der Zeitleistenauflistung ausgeschlossen um eine leere Zeile zu vermeiden.</span>

Wie auch bei der Tabelle, genügt ein einfacher Klick auf einen Eintrag, um die Dokumentenvorschau des zugehörigen Vertrags zu öffnen. Bei einem Doppelklick findet auch hier ein Sprung ins Archiv statt. Das Dashboard wird hierbei verlassen.

## Zeiträume

Zeiträume auf Basis der Fristen und Vertragsdaten werden mithilfe von Farbcodes in der Zeitleiste visualisiert. 

<table><thead><tr><td>Farbe</td><td>Beschreibung</td></tr></thead><tbody><tr><td>Grün</td><td>Aktiver Vertrag</td></tr><tr><td>Gelb</td><td>Eine Kündigungsfrist steht an</td></tr><tr><td>Rot</td><td>Der Vertrag läuft aus</td></tr><tr><td>Grün-auslaufend</td><td>Vertrag mit Vertragsverlängerung</td></tr></tbody></table>

## Aktueller Zeitpunkt

Über die gesamte Zeitleiste hinweg wird stets der aktuelle Zeitpunkt durch eine vertikale blaue Linie verdeutlicht. So ist jederzeit, auch beim horizontalen Scrollen, ersichtlich, welche Bereiche sich in Vergangenheit bzw. Zukunft befinden.

## Kurzinformationen zu einem Zeitabschnitt

Fährt man mit der Maus über einen bestimmten Zeitabschnitt, so erscheint eine Kurzinformation zum entsprechenden Vertrag. Neben dem Status des Zeitabschnitts und der genauen Dauer wird auch die Kurzbezeichnung aufgezeigt. 

{@img img3.png}

Für weitere Informationen kann der Benutzer direkt zur Dokumentenvorschau wechseln.

## Horizontaler Zoom

Um einen besseren Überblick zu erlangen oder um beim Vergleich verschiedener Laufzeiten stärker in die Details gehen zu können, wird ein horizontaler Zoom angeboten. Dieser kann durch Klicken und Ziehen in Schritten à 10 % verändert werden. Hierbei sind Werte zwischen 20 % und 400 % möglich. Auf die Höhe der einzelnen Zeilen hat dieser Zoom keine Auswirkungen.

{@img img5.png}

## Vergrößerung des Zeitrahmens

Im Standard sind als allgemeiner Zeitrahmen 4 volle Jahre gesetzt. Neben dem aktuellen Jahr werden das vorherige sowie die beiden nachfolgenden Jahre angezeigt. Sollte dieser Zeitrahmen einmal nicht ausreichen, so kann dieser jeweils um beliebig viele Jahre in beide Richtungen vergrößert werden. Hierzu ist pro weiteres Jahr ein Klick auf einen der Doppelpfeile zu Beginn und Ende des Zeitrahmens nötig.

{@img img7.png}

{@img img9.png}

Für den Fall, dass Zeiträume über den aktuell gewählten Zeitrahmen hinausreichen, wird ein Pfeil zu Beginn bzw. am Ende einer Zeile angezeigt. Beim Mouseover über diesen Pfeil wird auch hier die Kurzinformation zum jeweiligen Zeitraum des Vertrages angezeigt. Sollte ein Vertrag gänzlich außerhalb liegen, so wird die gesamte Vertragslaufzeit bzw. geplante Vertragslaufzeit dargestellt.
