# Vertragsphasen

Die ELO Business Solution Contract implementiert eine <span
style='font-weight:bold'>lose Steuerung des Vertragslebenszyklus</span>. Das bedeutet, dass kein allumfassender Prozess implementiert, sondern vielmehr der Zyklus in Prozessteile (Phasen) gesplittet wurde, um Vertragsmanagern die Möglichkeit zu geben, individuell auf Besonderheiten einzugehen. Die aus den unterschiedlichen Vertragsphasen resultierten Status werden im <a
href="#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8">Vertragsstatus</a> festgehalten.

Nachfolgend werden einige Beispiele mit abnehmender Komplexität erläutert.

> <span
style='font-style:italic'>Bei einem eingehenden Vertrag wird zuerst der Bedarf ermittelt und ein Freigabeverfahren gestartet. Ist die Freigabe erfolgt, finden mehrere Verhandlungsrunden mit den Vertragspartnern statt, in denen der Einkauf versucht, den Preis weiter zu drücken. Erst dann liegt ein finaler Entwurf des Vertrages vor. Dieser kann einer erneuten Freigabe unterzogen oder abgeschlossen werden .</span>

> <span
style='font-style:italic'>Bei einem ausgehenden Vertrag schließt der zuständige Vertriebsmitarbeiter einen Vertrag zum Verkauf einer neuen Küche mit dem Endkunden ab. Der Vertrag wird zum Zeitpunkt der Unterschrift rechtskräftig. Die Phasen Vertragsentwurf, Freigabe sowie Verhandlung entfallen auf den Tag des Verkaufsgesprächs.</span>

> <span
style='font-style:italic'>Ein Mitarbeiter der Entwicklung schließt einen eingehenden Vertrag mit einem Zeitschriftenlieferant ab. Da das Vertragsvolumen ein geringes Ausmaß annimmt, ist eine Freigabe sowie Verhandlung nicht notwendig.</span>

## Unterschiedliche Phasen des Vertragsmanagements

Die ELO Business Solution Contract stellt sechs Phasen für die Steuerung des Vertragslebenszyklus bereit: <a
href="#!/guide/p7435E940_1D95_44B8_9C89_EA6FDDEDF247">Entwurf</a>, <a
href="#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C">Freigabe</a>, <a
href="#!/guide/pFA843D33_178F_4995_9EF9_6807252DC76E">Verhandlung</a>, <a
href="#!/guide/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04">Vertragsabschluss</a>, <a
href="#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7">Kündigung</a> sowie den <a
href="#!/guide/pCA6E07D7_E207_47B7_BEFA_14F27954FADF">Verhandlungsabbruch</a>.

<a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Neu angelegte Verträge</a> befinden sich im Standard in der Entwurfsphase.

Nachfolgende Abbildung veranschaulicht einen umfassenden Prozess und gibt Auskunft über die zugehörigen <a
href="#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8">Vertragsstatus</a>.

{@img img1.png}

<span class="tag_important">Einzelne Phasen können über Buttons in der Multifunktionsleiste der Clients ausgelöst werden. Weitere Informationen über Ablauf und Kontrollmöglichkeiten geben die entsprechenden Unterkapitel.</span>

### Zustände im Detail

<span
style='font-weight:bold'>Entwurf</span>

*   Eingabe der Stammdaten
*   Festlegung von Fristen und Volumen
*   Abschluss: <span
style='text-decoration:underline'>Vertragsfreigabe einleiten</span>

<span
style='font-weight:bold'>In Freigabe</span>

*   Prüfung durch diverse Stellen
*   Freigabe-Prozess durch Workflow gesteuert
*   Korrekturen möglich, andernfalls zurück in den Entwurfszustand
*   Abschluss: <span
style='text-decoration:underline'>Vertrag freigegeben</span>

<span
style='font-weight:bold'>In Verhandlung</span>

*   Inhalte sollten bereits fix sein
*   Vertragsabschluss nach Unterschrift
*   Korrekturen möglich, im Zweifel erneute Freigabe
*   Abschluss: <span
style='text-decoration:underline'>Vertrag wird abgeschlossen</span>
*   Abbruch: <span
style='text-decoration:underline'>Verhandlung abgebrochen</span>

<span
style='font-weight:bold'>Abgeschlossen</span>

*   Der Vertrag ist unterzeichnet, wartet jedoch auf seinen Vertragsbeginn
*   Gilt als Übergangsphase, es können parallel Vorbereitungen für die Erfüllung starten

<span
style='font-weight:bold'>Aktiv</span>

*   Hauptzustand bei laufenden Verträgen: der Vertrag ist &quot;in Kraft&quot;
*   Regelmäßige Aktionen: <span
style='text-decoration:underline'>Wiedervorlage/Verlängerung</span>
*   Außerordentliche Aktionen: <span
style='text-decoration:underline'>Bericht erzeugen</span>, <span
style='text-decoration:underline'>Anpassungen</span>, <span style='text-decoration:
underline'>Kündigung einleiten</span>

<span
style='font-weight:bold'>Beendet</span>

*   Ausgelaufen / gekündigt
*   Vertragsende ist festgelegt und abgelaufen
*   Die Wiederaufnahme ist nur mit einem neuem Vertrag möglich
*   Bei einer Kündigung wurde zuvor ein Kündigungsdatum festgelegt

<span
style='font-weight:bold'>Abgebrochen</span>

*   Sollte nur möglich sein vor Abschluss des Vertrags
*   In Ausnahmefällen auch danach möglich (z.B. innerhalb einer festgeschriebenen Widerspruchsfrist)





