# Bericht aller Verträge

Exportiert alle Verträge zur Auswertung nach Excel. Als Ergebnis findet sich für jeden Vertrag eine Zeile im Data-Register der Excel Datei. Grundlage für die Erzeugung von Vertragsberichten sind Vorlagen für Berichte. Siehe auch <a
href="#!/guide/pE813B0B9_50F0_4400_9450_59AAE9C1BB07">Reporting</a>.

Der Bericht aller Verträge bietet die Möglichkeit unterschiedliche Auswertungen nach allen Informationen des Vertrags anzufertigen die als <a
href="#!/guide/p10C4B882_3072_4CC4_BED1_E497E57E8B95">Indexfelder in der Verschlagwortungsmaske</a> verfügbar sind. 

> <span
style='font-style:italic'>Ein Beispiel: Ein Bericht gruppiert alle Verträge nach deren Vertragsbeziehung und summiert das Vertragsvolumen (in Hauswährung) für die einzelnen Vertragspartner.</span>

> <span
style='font-style:italic'>Ein Beispiel: Verträge werden auf Basis der Projekte nach Risikobewertung und Vertragsvolumen in Beziehung gesetzt und visualisiert. Projektleiter haben somit stets den Überblick welche Verträge für ihre Projekte die höchsten Risiken bürgen.</span>

Als Ergebnis des erzeugten Berichts wird das Data-Register wie folgt befüllt.

{@img img1.png}

## Aktion: Bericht Verträge

Die Aktion kann im Reiter <span
style='font-weight:bold;font-style:italic'>Verträge</span> der Multifunktionsleiste aufgerufen werden.

{@img img3.png}

### Vorbedingungen

*   Ordner-Element auswählen, das Verträge enthält
*   <span
style='font-weight:bold'>Berichtstemplate </span>auswählen (optional, falls nur ein Typ vorhanden)

### Implementierung

<span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration `sol.contract.CreateContractsReport`.</span>

Der <span
style='font-weight:bold'>technische Ablauf</span> wird durch die ELOas-Aktion `sol.contract.as.actions.CreateContractsReport` implementiert. Diese erstellt mit Hilfe von Apache FOP aus dem gewählten Template und den Daten aus der registrierten Funktion `sol.common.ix.services.ChildrenDataCollector` ein PDF am ausgewählten Ort.

Im Erfolgsfall werden folgende Events an den Client übermittelt:

<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Zeigt das neu angelegte Element im Client an und öffnet das neu erzeugte Dokument in Microsoft Excel.</td><td></td></tr></tbody></table>

