# Ablagestruktur

Verträge werden direkt beim <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Anlegen</a> in eine Ablagestruktur überführt. Dies gewährleistet, dass alle Verträge zu jeder Zeit an einer Stelle im System über die Archivnavigation auffindbar sind.

Im Standard wird eine Ablagestruktur nach `[Vertragstyp]/[Name A…Z]/[Name des Vertragspartners]` aufgebaut. Die Verträge werden dabei beim zugehörigen Vertragspartner abgelegt.

{@img img1.png}

Nachfolgende Abbildung veranschaulicht dies anhand eines Abonnement-Vertrags der Firma Contelo.

{@img img3.png}

## Berechtigung auf Ablagestruktur-Einträge

Zugriffsrechte auf den Vertrag werden unabhängig von der zugrundeliegenden Ablagestruktur aufgebaut. Somit ist gewährleistet, dass zwei Abteilungen Verträge bspw. der Contelo AG anlegen können, diese unternehmensweit einsortiert werden, jedoch jede Abteilung nur die für sie zuständigen Verträge sieht.

Wird die Ablagestruktur aufgebaut/erweitert, werden die Rechte des letzten bereits verfügbaren Eintrags übernommen.

<span class="tag_caution">Ablagestrukturen sollten keine sensiblen Daten enthalten. Wie sensibel Daten sind, zeigt sich bspw. am Name des Vertragspartners. Es sollte daher sichergestellt werden, dass lediglich die Vertragsabteilung die gesamte Struktur einsehen kann.</span>

<span class="tag_important">Hat ein Mitarbeiter <span
style='font-weight:bold'>keine Rechte, die Ablagestruktur einzusehen</span>, wird der Vertrag dennoch in die korrekte Struktur überführt. Hierfür sorgt die Aktion <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Vertrag anlegen</a>. In diesem Fall findet er den Vertrag über die Suche oder über dynamische Ordner.</span>

Nachfolgende Grafik illustriert bspw. den Fall, dass alle Mitarbeiter die Ablagestrukturen einsehen können, mit Ausnahme des Vertragstyps Mitarbeitervertrag. Dieser soll lediglich der Personalabteilung zugänglich sein. Verträge innerhalb der Struktur haben gesonderte Berechtigungen und erben im Standard nicht von der Ablagestruktur. 

{@img img5.png}

<span class="tag_warning">Zu beachten ist, dass, falls Berechtigungen in der Ablagestruktur geändert und vererbt werden, diese Änderung auch an Verträge in der Struktur weitergereicht wird. Die Berechtigungsvererbung sollte daher mit Bedacht auf die Ablagestruktur eingesetzt werden.</span>

## Berechtigungen bei mehreren Mandanten

Werden mehrere Mandaten eingesetzt, empfiehlt es sich den Name des Mandanten voranzustellen. Daraus ergibt sich folgender Aufbau: `[Mandant]/[Vertragstyp]/[Name A…Z]/[Name des Vertragspartners]`.

Ordner für die einzelnen Mandanten können manuell angelegt und berechtigt werden. Somit kann gesteuert werden, dass die Vertragsmanagement-Abteilungen der unterschiedlichen Mandanten unabhängig agieren.

## Geordneter Zugriff auf Verträge ohne Rechte auf die Ablagestruktur

Über den ELO Java Client können Suchen als dynamische Ordner gespeichert werden. Bei einer stark eingeschränkten Ablagestruktur kann somit eine Parallelstruktur aufgebaut werden.

## Konfiguration der Ablagestruktur

Der Ablagepfad kann über die <span
style='font-weight:bold;font-style:italic'>Vertragsmanagement-Konfiguration &quot;Ablage &amp; Berechtigungen&quot; </span>definiert werden.

{@img img7.png}



