# Vertragstypen

Ein Vertragstyp beschreibt eine Vertragsakte mit den dazugehörigen Metadaten. Zudem wird über den Vertragstyp festgelegt, welche Generatoren für die Erstellung verwendet werden. Jeder Vertrag <span
style='font-weight:bold;text-decoration:underline'>muss</span> auf einem Vertragstyp basieren.

> <span
style='font-style:italic'>Mithilfe von Vertragstypen können Metadaten und Strukturen für einen Anwendungsfall vorbelegt werden. Soll bspw. für den Typ Dienstleistungsvertrag die zuständige Abteilung sowie Risikoklassifizierung vorbelegt werden, kann dies im Vertragstyp vorbelegt werden.</span>

<span class="tag_important">Beim Anlegen eines neuen Vertrags wird der Vertragstyp aus der Konfiguration inklusive aller Metadaten sowie Unterstrukturen kopiert. Verwaltungsinformationen, wie bspw. der hinterlegte Bezeichnungsgenerator werden anschließend von der Aktion <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Vertrag anlegen</a> ausgewertet.</span>

Nachfolgend wird eine Beispielstruktur sowie die Mindestkonfiguration eines Vertragstyps <span
style='font-weight:bold;font-style:italic'>Dienstleistungsvertrag</span> aufgezeigt.

{@img img1.png}

## Administration

Über die Konfiguration des Vertragsmanagements können Vertragsvorlagen direkt erstellt und bearbeitet werden.

{@img img3.png}

Neue Typen können dabei auf Basis eines bestehendes Typs erzeugt werden. Unterstrukturen lassen sich ebenfalls erweitern, löschen und bearbeiten. Änderungen an den Strukturen müssen über &quot;Speichern&quot; geschrieben werden.

{@img img5.png}

## Technische Implementierung und manuelle Konfiguration

### Definition und Aufbau

Vertragstypen werden in ELO im Archiv unter `Administration\Business Solutions Custom\contract\Configuration\Contract types` hinterlegt. Jeder Vertragstyp ist dabei ein Ordner, der auch Unterstrukturen enthalten kann. Der Ordnerinhalt beschreibt das spätere Template für den Vertrag.

{@img img7.png}

Vertragstypen werden durch die Verschlagwortungsmaske und Metadaten des Vertrags (Verschlagwortungsmaske: <span
style='font-weight:bold;font-style:italic'>Contract</span>) beschrieben. Im Umkehrschluss bedeutet dies, dass jeder Vertragstyp als Mindestvoraussetzung die Stammmetadaten des Vertrags enthält. Werden weitere Indexfelder für einen Aktentyp benötigt, kann die Maske <span
style='font-weight:bold;font-style:italic'>Contract </span>kopiert und entsprechend erweitert werden.

<span class="tag_important">Vertragstypen sind demnach nicht auf die Standard-Verschlagwortungsmaske File beschränkt. Die Identifikation, ob ein ELO Objekt eine Akte ist, erfolgt über das Indexfeld<span
style='font-weight:bold;font-style:italic'> Solution Object Type (SOL_TYPE)</span>. Dieses muss bei neuen Masken im Standard <span
style='font-weight:bold;font-style:italic'>CONTRACT</span> tragen.</span>

<span class="tag_warning">Zu prüfen ist hier, inwieweit eine Maske für Erweiterungen notwendig ist. Map Felder ermöglichen es zusätzliche Daten im Formular zu speichern, verzichten aber auf eine Durchsuchbarkeit und Indizierung der Daten.</span>

> <span
style='font-style:italic'>Werden für einen Vertrag vom Typ </span><span
style='font-weight:bold;font-style:italic'>Personalvertrag </span><span
style='font-style:italic'>zusätzlich der Vor- und Nachname sowie die Mitarbeiternummer benötigt, muss eine neue Verschlagwortungsmaske </span><span
style='font-weight:bold;font-style:italic'>Employee contract </span><span
style='font-style:italic'>angelegt werden, die zumindest alle Indexfelder der Maske </span><span
style='font-weight:bold;font-style:italic'>Contract </span><span
style='font-style:italic'>beinhaltet. Werden Indexfelder der Maske </span><span
style='font-weight:bold;font-style:italic'>Contract</span><span
style='font-style:italic'> nicht benötigt, empfiehlt es sich diese im Maskendesign zu verstecken und die zugehörigen Formular-Bausteine zu entfernen.</span>

## Berechtigungen

In der Konfiguration können Vertragstypen mit unterschiedlichen Rechten versehen werden. Grundlegend gilt, dass alle Anwender, die Leserechte auf einen Vertragstyp haben, diesen auch anlegen können. Somit kann ebenfalls gesteuert werden, von welchem Anwender Verträge mit diesem Typ angelegt werden dürfen. 

Schreibrechte auf den Vertragstyp sollten nur Anwendern gewährt werden, die ebenfalls Vertragstypen bearbeiten dürfen.

> <span
style='font-style:italic'>Ein Beispiel: Personalverträge sollten nur von Mitarbeitern der Personalabteilung angelegt werden dürfen. Die Berechtigung auf dem Vertragstyp sollte daher lediglich diesen Anwendern lesenden Zugriff gewähren. Die Administration erhält zusätzlich einen schreibenden Zugriff, da diese bspw. Änderungen an der Untergliederung des Vertragstyps vornehmen können.</span>

<span class="tag_important">Durch Berechtigungen lassen sich die für einen Anwender sichtbaren Typen einschränken. Denkbar wären auch verschiedene Ausprägungen eines Vertragstyps. Da die namentliche Identifikation eines Vertragstyps später über das Indexfeld <span
style='font-weight:bold;font-style:italic'>CONTRACT_TYPE</span> gegeben ist, lassen sich mehrere Templates (Vertragstypen) mit unterschiedlichen Vorbelegungen realisieren. Im nachfolgenden Beispiel bspw. eine Spezialisierung des Vertragstyps <span
style='font-weight:bold'>Abonnement - IT Zeitschrift - Jahresabo</span>.</span>

{@img img9.png}

## Manuelles Anlegen eines neuen Vertragstyps

Jeder Vertragstyp erhält bei der Anlage einen eigenen Ordner, für den die gewünschte Verschlagwortungsmaske ausgewählt werden muss. Im Standard sollte hier die Maske <span
style='font-weight:bold;font-style:italic'>Vertrag (Contract)</span> gewählt werden. Der Ordnerinhalt beschreibt das spätere Template für den Vertrag. Inhalte werden entsprechend in einen neuen Vertrag kopiert.

<span
style='font-weight:bold'>Schritt 1: Auswählen des Ordners `Contract types`</span>

Vertragstypen können als Objekte im Ordner `Administration\Business Solutions Custom\contract\Configuration\Contract types` hinterlegt werden. Zuerst muss dieser Ordner ausgewählt werden.

<span
style='font-weight:bold'>Schritt 2: Erstellen eines neuen Ordners, der als Grundlage für den Vertragstyp dient</span>

Rufen Sie im Client die ELO Standard-Funktion &quot;Neuer Ordner&quot; in der Multifunktionsleiste auf. Es öffnet sich der Dialog &quot;Neuer Ordner anlegen&quot;. Anschließend muss die Verschlagwortungsmaske gewählt werden. Wurde zuvor keine individuelle Maske für den Vertragstyp angelegt, kann die Maske <span
style='font-weight:bold;font-style:italic'>Contract</span> gewählt werden.

<span class="tag_important">Das Kopieren eines bestehenden Typs enthält alle benötigten Informationen und einen Vorschlag für eine Unterstruktur. In diesem Fall müssen nur die Vertragskategorie sowie der Vertragstyp und der Name der Kurzbezeichnung angepasst werden.</span>

<span
style='font-weight:bold'>Schritt 3: Benötigte Informationen für den Vertrag hinterlegen</span>

Im Reiter Vertragsdaten muss der &quot;Vertragstyp&quot; sowie die &quot;Vertragskategorie&quot; hinterlegt werden. Diese Daten 
weiterführend muss die Kurzbezeichnung des Aktentyps gesetzt werden.

<table><thead><tr><td>Feld</td><td>Beschreibung</td></tr></thead><tbody><tr><td>Kurzbezeichnung</td><td>Die Kurzbezeichnung des Vertragstyps wird für den Auswahldialog beim Anlegen neuer Verträge verwendet. Hier sollte der Name des neuen Vertragstyps eingetragen werden.</td></tr><tr><td>Vertragstyp</td><td>Name des Vertragstyps. Dieser erlaubt es später nach Verträgen des Typs zu suchen.</td></tr><tr><td>Vertragskategorie</td><td>Name der Vertragskategorie. Dieser erlaubt es später unterschiedliche Vertragstypen logisch zusammenzufassen.</td></tr></tbody></table>

Schritt 4: Administrative Informationen

Im Reiter Administration müssen der Standard-Workflow für die Aktion <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Vertrag anlegen</a> sowie der gewünschte Vertragsnummer-Generator und Bezeichnungsgenerator hinterlegt werden.

<table><thead><tr><td>Feld</td><td>Beschreibung</td></tr></thead><tbody><tr><td>Standard Workflow Vertrag anlegen</td><td>Technischer Ablauf der Aktion <span
style='font-weight:bold;font-style:italic'>Vertrag anlegen</span>. Weitere Informationen können der Aktionsbeschreibung entnommen werden.</td></tr><tr><td>Bezeichnungsgenerator </td><td>Hier kann der Bezeichnungsgenerator für das Anlegen neuer Verträge hinterlegt werden. Der Bezeichnungsgenerator erzeugt eine eindeutige Kurzbezeichnung für einen Vertrag.</td></tr><tr><td>Vertragsnummer-Generator</td><td>Hier kann der Generator für das Erzeugen einer Vertragsnummer hinterlegt werden.</td></tr></tbody></table>

## Weitere Informationen

Die Aktion <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Vertrag anlegen </a>benötigt einen technischen Workflow, der das Anlegen eines neuen Vertrags steuert. Je nach Vertragstyp kann es gewünscht sein, hier eigene Abläufe zu hinterlegen. Dies kann durch Angabe eines <span
style='font-weight:bold;font-style:italic'>Default Workflows (Standard Workflow)</span> gesteuert werden.

<span class="tag_warning">Wird ein Vertragstyp gelöscht oder bearbeitet, hat dies keine Auswirkungen auf bereits angelegte Verträge dieses Typs.</span>



