# Fristen/ Laufzeiten/ Wiedervorlage

## Vertragslaufzeit

Unterschieden wird bei der Vertragslaufzeit zwischen<span
style='font-weight:bold;font-style:italic'> ohne Laufzeit</span>, <span
style='font-weight:bold;font-style:italic'>befristeten</span> und <span
style='font-weight:bold;font-style:italic'>unbefristeten Verträgen</span>. Der Vertragsbeginn und das Vertragsende beschreiben, in welchem Zeitraum ein <a
href="#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8">abgeschlossener Vertrag aktiv</a> ist. Um die Laufzeit korrekt bewerten zu können, werden folgende Informationen benötigt:

<table><thead><tr><td></td><td>Berechnung des Vertragsendes</td></tr></thead><tbody><tr><td></td><td>Vertragsbeginn</td></tr><tr><td>+</td><td>Laufzeit</td></tr><tr><td>=</td><td>Vertragsende</td></tr></tbody></table>

### Ohne Laufzeit

Verträge ohne Laufzeit erlauben es bspw. Kaufverträge abzulegen für die es keine Laufzeiten gibt. Der Status sollte in diesem Fall &quot;Abgeschlossen&quot; sein.

{@img img1.png}

### Befristete Verträge

Die Eingabe des Vertragsendes ist dabei optional und kann durch die Angabe einer Laufzeit auf Basis des Vertragsbeginns automatisch berechnet werden. Soll keine automatische Berechnung vorgenommen werden, ist die Laufzeit leer zu lassen.

Sollen Verträge in der Laufzeit automatisch verlängert werden, kann ebenfalls eine Verlängerungsdauer angegeben werden. Ist diese gesetzt, wird das Vertragsende nach Ablauf automatisch neu berechnet. Siehe auch <a
href="#!/guide/pD57B9D9E_A702_4D44_8093_95476C788079">Automatische Vertragsverlängerung</a>.

{@img img3.png}

Ein befristeter Vertrag hat eine vordefinierte Laufzeit und ein festgelegtes Vertragsende. Unangetastet dessen sind Vereinbarungen darüber, Verträge automatisch zu verlängern, falls keine Kündigung des Vertragsverhältnisses erfolgt.

> <span
style='font-style:italic'>Ein Zeitschriften-Abo wird zum 1.5.2016 abgeschlossen. Der Vertragsbeginn ist im darauffolgenden Monat (1.6.2016). Die Laufzeit des Vertrages wird auf 2 Jahre festgelegt. Daraus berechnet sich automatisch das Vertragende zum 1.6.2018.</span>

### Unbefristete Verträge

Unbefristete Verträge haben kein geplantes Vertragsende und sind daher nach Abschluss bis zur Kündigung aktiv. 

> <span
style='font-style:italic'>Es wird ein Rahmenvertrag mit einem Lieferanten zu verhandelten Konditionen abgeschlossen. Diese sind rechtskräftig, bis eine Partei den Rahmenvertrag kündigt. Es wurde keine Mindestlaufzeit für den Vertrag vereinbart.</span>

<span class="tag_important">Um mögliche Kündigungsfristen sowie Erinnerungen korrekt zu bewerten wird ein nächstmögliches Vertragsende berechnet. Dieses bestimmt sich auf Basis des hinterlegten Wertes bei <span
style='font-weight:bold;font-style:italic'>Kündigung zum [bspw. Quartalsende]</span>. Das Vertragsende, nächstmögliches Kündigungsdatum, sowie falls gewünscht die Erinnerung wird für alle unbefristeten Verträge täglich neu berechnet.</span>

{@img img5.png}

> <span
style='font-style:italic'>Es wird ein unbefristeter Rahmenvertrag abgeschlossen. In der Regel werden alle Rahmenverträge zum Jahresende neu bewertet. Es empfiehlt sich daher, eine Kündigung zum Jahresende mit einer Erinnerung von einem Monat zu hinterlegen. Der zuständige Mitarbeiter wird anschließend um November benachrichtigt.</span>
> 
> <span
style='font-style:italic'>Unbefristete Personalverträge haben eine Kündigungsfrist von 4 Wochen zum Quartalsende. Hier kann eine Kündigungsfrist von 4 Wochen mit Kündigung zum Quartalsende hinterlegt werden. Das System berechnet die Werte automatisch neu, sodass die Suche als auch das Vertragsmanagement-Dashboard auf korrekte Daten zugreifen.</span>

## Kündigungsfrist

Der letzte Tag, zu dem ein Vertrag gekündigt werden kann, wird über die <span
style='font-weight:bold;font-style:italic'>Kündigungsfrist</span> gesetzt. Die <span
style='font-weight:bold;font-style:italic'>Kündigungsfrist</span> ist dabei anhängig vom berechneten oder gesetzten Vertragsende und wird bei einer <a
href="#!/guide/pD57B9D9E_A702_4D44_8093_95476C788079">automatischen Vertragsverlängerung</a> neu berechnet.

{@img img7.png}

### Kündigungszeitpunkt

Im Standard wird die Kündigungsfrist vom geplanten <span
style='font-weight:bold;font-style:italic'>Vertragsende</span> abgezogen, woraus sich die <span
style='font-weight:bold;font-style:italic'>nächste Kündigungsfrist</span> berechnet. 

<table><thead><tr><td></td><td>Berechnung der Kündigungsfrist</td></tr></thead><tbody><tr><td></td><td>Vertragsende</td></tr><tr><td>-</td><td>Kündigungsfrist</td></tr><tr><td>=</td><td>Nächste Kündigungsfrist</td></tr></tbody></table>

Bei vielen Verträgen werden Kündigungsfristen bspw. zum Monats- oder Jahresende vereinbart. Dies kann über das Feld <span
style='font-weight:bold;font-style:italic'>Kündigung zum</span> definiert werden.

> <span
style='font-style:italic'>Ein Vertrag mit Vertragsbeginn zum 1.2.2016 hat eine Laufzeit von einem Jahr und eine Kündigungsfrist von einem Monat zum Jahresende. Logisch betrachtet ergibt sich dadurch eine Kündigungsfrist von 2 Monaten. Für die automatische Berechnung der Kündigungsfrist wird das Vertragsende intern zuerst auf das Jahresende (</span><span
style='font-weight:bold;font-style:italic'>Kündigung zum</span><span
style='font-style:italic'>) nach unten korrigiert und anschließend die eingegebene Frist abgezogen.</span>

{@img img9.png}

Die Eingabe einer Kündigungsfrist ist dabei optional. 

> <span
style='font-style:italic'>Wird in einem Vertrag eine Kündigungsfrist nach Datum fest vereinbart, kann dieses Datum als nächste Kündigungsfrist direkt gesetzt werden.</span>

### Datum der Vertragskündigung

Das Datum, zu dem ein <a
href="#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7">Vertrag gekündigt</a> wird, kann im Feld <span
style='font-weight:bold;font-style:italic'>Gekündigt am</span> hinterlegt werden. Dies dokumentiert ebenfalls eine fristgerechte oder außerordentliche Kündigung und dient der Nachvollziehbarkeit. 

### Sonderkündigungsrecht

Befristete Verträge haben die Möglichkeit ein unterjähriges Sonderkündigungsrecht zu definieren. 

> <span
style='font-style:italic'>Dies erlaubt bspw. bei einer Vertragslaufzeit von 2 Jahren eine Kündigung zum Jahresende zu hinterlegen. Ein Vertrag der bis zum 31.8.2020 läuft kann somit unterjährig zum 31.10.2019 gekündigt werden, falls eine 2 Monate Frist zum Jahresende vereinbart wurde. Das nächstmögliche Vertragsende ist demnach der 31.12.2019.</span>

{@img img11.png}

## Wiedervorlage

Eine Wiedervorlage hilft dem Vertragsmanager, Kündigungsfristen nicht zu verpassen. Das <span
style='font-weight:bold;font-style:italic'>nächste Wiedervorlagedatum</span> berechnet sich dabei aus dem <span
style='font-weight:bold;font-style:italic'>nächsten Kündigungsdatum</span> und der <span
style='font-weight:bold;font-style:italic'>Wiedervorlagefrist</span>. 

<table><thead><tr><td></td><td>Berechnung der Wiedervorlage</td></tr></thead><tbody><tr><td></td><td>Nächstes Kündigungsdatum</td></tr><tr><td>-</td><td>Wiedervorlagefrist</td></tr><tr><td>=</td><td>Nächstes Wiedervorlagedatum</td></tr></tbody></table>

Für die eingestellte Wiedervorlage wird zum gegebenen Zeitpunkt dem Verantwortlichen eine Aufgabe zugestellt. Siehe auch <a
href="#!/guide/pD51ECB99_7643_4866_8024_70FA03918AE8">Automatische Wiedervorlage</a>.

{@img img13.png}

## Berechnung periodischer Zeiträume

Periodische Zeiträume können nach unterschiedlichen Maßstäben berechnet werden.

Das <span
style='font-weight:bold;font-style:italic'>Vertragsende</span> kann somit nach einer Laufzeit von <span
style='font-weight:bold;font-style:italic'>einem Jahr</span> oder <span
style='font-weight:bold;font-style:italic'>24 Monaten</span> erfolgen. Gleiches gilt für die <span
style='font-weight:bold;font-style:italic'>Verlängerungsdauer</span>, <span
style='font-weight:bold;font-style:italic'>Kündigungsfrist</span> sowie <span
style='font-weight:bold;font-style:italic'>Wiedervorlage</span>.

{@img img15.png}

Periodische Zeiträume werden über eine lokalisierte Stichwortliste abgebildet. Die Konfiguration `Administration\Business Solutions Custom\contract\localizedKwls.config` enthält dabei eine Stichwortliste `calendarUnit`, welche es ermöglicht weitere Zeiträume anzubieten. Im Standard werden folgende Auswahlmöglichkeiten angeboten:

<table><thead><tr><td>Schlüssel</td><td>Beschreibung</td></tr></thead><tbody><tr><td>y</td><td>Jahr(e)</td></tr><tr><td>Q</td><td>Quartal(e)</td></tr><tr><td>M</td><td>Monate(e)</td></tr><tr><td>w</td><td>Woche(n)</td></tr><tr><td>d</td><td>Tage(e)</td></tr></tbody></table>

<span class="tag_important">Das Hinzufügen neuer Zeiträume muss an vielen Stellen berücksichtigt werden, bspw. bei der automatischen Verlängerung und Wiedervorlage sowie im Formular. Die interne Berechnung erfolgt dabei durch <span
style='font-weight:bold;font-style:italic'>moment.js</span>.</span>
