# Versionsgeschichte & Abhängigkeiten

Informationen zur Versionsgeschichte können der offiziellen Versionshistorie entnommen werden. Diese findet sich im SupportWeb sowie den entsprechenden Paketen.

## Version 1.08.002

Mit der Common Version 1.15.000 wurde ein wichtiges AngularJS-Security-Update ausgeliefert, welches alle AngularJS-basierten Apps sowie die meisten App-Module betrifft. In dieser Version von ELO Productivity wurden die enthaltenen Apps entsprechend darauf angepasst.

Folgende ELOwf-Versionen sind die zwingende Mindestvoraussetzung für den Einsatz mit Common 1.15.000:

*   unter ELO 12: ab Version 12.09.000
*   unter ELO 20: ab Version 20.09.002
*   unter ELO 21: ab Version 21.02.004

<span
style='color:black'>Weitere Informationen finden Sie in der Common Dokumentation unter &quot;Hinweise zum Update auf Version 1.15.000&quot;.</span>

<span class="tag_warning">Die Solution ELO Contract wurde mit folgenden ELO Komponenten getestet. Stellen Sie vor Installation sicher, dass alle Komponenten mindestens auf folgende Versionen aktualisiert wurden:</span>

<table><thead><tr><td><span
style='font-weight:bold'>Komponente</span></td><td><span
style='font-weight:bold'>ELO 12</span></td><td><span
style='font-weight:bold'>ELO 20</span></td><td><span
style='font-weight:bold'>ELO 21</span></td></tr></thead><tbody><tr><td>ELOix</td><td>12.04.000.6309</td><td>20.06.002</td><td>21.02.003</td></tr><tr><td>ELO Java Client</td><td>12.04.002.179</td><td>20.09.001</td><td>21.02.002</td></tr><tr><td>ELO Web Client</td><td>12.01.000.378</td><td>20.09.000</td><td>21.02.001</td></tr><tr><td>ELOwf</td><td>12.09.000</td><td>20.09.002</td><td>21.02.004</td></tr><tr><td>ELOas</td><td>12.01.000.013</td><td>20.02.018</td><td>21.02.006</td></tr></tbody></table>

<span class="tag_caution">Um Probleme mit den ELO Apps zu vermeiden, sollte ein <span
style='font-weight:bold;font-style:italic'>64-Bit Java Client</span> eingesetzt werden.</span>

<span
style='font-weight:bold'>Abhängigkeiten/Mindestanforderungen an Pakete der ELO Business Solutions:</span>

<table><thead><tr><td><span
style='font-weight:bold'>Paket</span></td><td><span
style='font-weight:bold'>Version</span></td></tr></thead><tbody><tr><td>common</td><td>1.15.000</td></tr><tr><td>common_monitoring</td><td>1.15.000</td></tr><tr><td>common_document</td><td>1.15.000</td></tr><tr><td>common_signature</td><td>1.15.000</td></tr><tr><td>contact</td><td>1.09.004</td></tr></tbody></table>

## Version 1.08.000

<span class="tag_warning">Die Solution ELO Contract 1.08.000 wurde mit folgenden ELO Komponenten <span
style='font-weight:bold'>getestet</span>. Stellen Sie vor Installation sicher, dass alle Komponenten <span
style='font-weight:bold'>mindestens</span> auf folgende Versionen aktualisiert wurden:</span>

<table><thead><tr><td><span
style='font-weight:bold'>Komponente</span></td><td><span
style='font-weight:bold'>ELO 12</span></td><td><span
style='font-weight:bold'>ELO 20</span></td><td><span
style='font-weight:bold'>ELO 21</span></td></tr></thead><tbody><tr><td>ELOix</td><td>12.04.000.6309</td><td>20.00.000</td><td>21.00.001.669</td></tr><tr><td>ELO Java Client</td><td>12.04.002.179</td><td>20.00.001.94 </td><td>21.00.000.45</td></tr><tr><td>ELO Web Client</td><td>12.01.000.378</td><td>20.00.006 [build 395]</td><td>21.00.000.247</td></tr><tr><td>ELOwf</td><td>12.01.002.377</td><td>20.00.005</td><td>21.00.000</td></tr><tr><td>ELOas</td><td>12.01.000.013</td><td>20.00.000 [build 011]</td><td>21.00.007</td></tr></tbody></table>

<span class="tag_warning">Business Solutions werden wenn möglich abwärtskompatibel entwickelt. Die Solution kann in älteren Programmversionen funktionieren, jedoch sind dazu keine Tests erfolgt um die Funktionsfähigkeit zu garantieren.</span>

<span class="tag_caution">Um Probleme mit den ELO Apps zu vermeiden, sollte ein <span
style='font-weight:bold;font-style:italic'>64-Bit Java Client</span> eingesetzt werden.</span>

<span
style='font-weight:bold'>Abhängigkeiten/Mindestanforderungen an Pakete der ELO Business Solutions:</span>

<table><thead><tr><td><span
style='font-weight:bold'>Paket</span></td><td><span
style='font-weight:bold'>Version</span></td></tr></thead><tbody><tr><td>common</td><td>1.13.000</td></tr><tr><td>common_monitoring</td><td>1.13.000</td></tr><tr><td>common_document</td><td>1.13.000</td></tr><tr><td>common_signature</td><td>1.13.000</td></tr><tr><td>contact</td><td>1.09.000</td></tr></tbody></table>

## Version 1.07.000

<span class="tag_warning">Die Solution ELO Contract 1.04.000 wurde mit folgenden ELO Komponenten <span
style='font-weight:bold'>getestet</span>. Stellen Sie vor Installation sicher, dass alle Komponenten <span
style='font-weight:bold'>mindestens</span> auf folgende Versionen aktualisiert wurden:</span>

<table><thead><tr><td><span
style='font-weight:bold'>Komponente</span></td><td><span
style='font-weight:bold'>ELO 11</span></td><td><span
style='font-weight:bold'>ELO 12</span></td><td><span
style='font-weight:bold'>ELO 20</span></td></tr></thead><tbody><tr><td>ELOix</td><td>11.05.000.2293</td><td>12.04.000.6309</td><td>20.00.000</td></tr><tr><td>ELO Java Client</td><td>11.09.000.140</td><td>12.04.002.179</td><td>20.00.001.94</td></tr><tr><td>ELO Web Client</td><td>11.07.000</td><td>12.01.000.378</td><td>20.00.006 [build 395]</td></tr><tr><td>ELOwf</td><td>11.00.000</td><td>12.01.002.377</td><td>20.00.005</td></tr><tr><td>ELOas</td><td>11.00.002</td><td>12.01.000.013</td><td>20.00.000 Build 011</td></tr></tbody></table>

<span class="tag_warning">Business Solutions werden wenn möglich abwärtskompatibel entwickelt. Die Solution kann in älteren Programmversionen funktionieren, jedoch sind dazu keine Tests erfolgt um die Funktionsfähigkeit zu garantieren.</span>

<span class="tag_caution">Um Probleme mit den ELO Apps zu vermeiden, sollte ein <span
style='font-weight:bold;font-style:italic'>64-Bit Java Client</span> eingesetzt werden.</span>

<span
style='font-weight:bold'>Abhängigkeiten/Mindestanforderungen an Pakete der ELO Business Solutions:</span>

<table><thead><tr><td><span
style='font-weight:bold'>Paket</span></td><td><span
style='font-weight:bold'>Version</span></td></tr></thead><tbody><tr><td>common</td><td>1.09.000</td></tr><tr><td>common_monitoring</td><td>1.09.000</td></tr><tr><td>common_document</td><td>1.09.000</td></tr><tr><td>common_signature</td><td>1.09.000</td></tr><tr><td>contact</td><td>1.07.000</td></tr></tbody></table>

## Version 1.04.000

<span class="tag_important">Die Konfiguration des Vertragsmanagement wurde grundlegend überarbeitet und findet sich <span
style='font-weight:bold'>ab ELO 12 nun in der Admin Console</span>, für ELO 10 und 11 als Kachel im Client des Administrators. Einstellungen müssen ab dieser Version nicht mehr über das Custom-Paket im Archiv vorgenommen werden.</span>

{@img img1.png}

{@img img3.png}

Unterstützt werden ELO Versionen 10/11/12 ab Version 10.01.

## Version 1.02.002

Die Version 1.02.002 enthält einige Verbesserungen in der Berechnung von Werten im Formular sowie des Dashboards.

<span
style='font-weight:bold'>Abhängigkeiten/ Mindestanforderungen an Pakete der ELO Business Solutions:</span>

<table><thead><tr><td><span
style='font-weight:bold'>Paket</span></td><td><span
style='font-weight:bold'>Version</span></td></tr></thead><tbody><tr><td>common</td><td>1.02.002</td></tr><tr><td>contact</td><td>1.02.002</td></tr><tr><td>common_signature</td><td>1.02.002</td></tr><tr><td>common_monitoring</td><td>1.02.002</td></tr></tbody></table>

ELO 10.02.000 sowie der Web Client 9.03.002 enthalten Verbesserungen beim Weiterleiten von Vorgängen in der Aufgabenansicht der Clients. Es wird daher empfohlen, ELO 10.02.000 einzusetzen.

## Version 1.02.000

Die Version 1.02.000 enthält im Kern eine Erweiterung der <a
href="#!/guide/p83D97DC8_3179_4C49_BD79_E02E6ED4DB18">Vertragslaufzeiten (unbefristete Verträge)</a> sowie die optionale Unterstützung <a
href="#!/guide/">mehrerer Vertragspartner</a>. Zusätzlich wurden die Pakete für den neuen Custom-Forms-Mechanismus (ELOwf 10.1) vorbereitet.

Bei der Angabe des Vertragspartners kann nun entweder der Name oder die Firma angegeben werden. Bei einem Update von Version 1.00.000 muss die Konfiguration für den Aufbau des Ablagepfades eventuell angepasst werden.

<span class="tag_warning">Die <span
style='font-weight:bold'>Mindestvoraussetzung</span> für die ELO Business Solution Contract sind die folgenden ELO Komponenten. Stellen Sie <span
style='font-weight:bold'>vor</span> Installation sicher, dass alle Komponenten <span
style='font-weight:bold'>mindestens</span> auf folgende Versionen aktualisiert wurden.</span>

Es wird empfohlen ELO 10.1 Komponenten einzusetzen, da hier u.a. Verbesserungen an der Updatesicherheit hinsichtlich ELOwf Formularen enthalten sind.

<span class="tag_caution">Um Probleme mit den ELO Apps zu vermeiden sollte ein <span
style='font-weight:bold;font-style:italic'>64bit Java Client</span> eingesetzt werden.</span>

<table><thead><tr><td><span
style='font-weight:bold'>Komponente</span></td><td><span
style='font-weight:bold'>ELO 9</span></td><td><span
style='font-weight:bold'>ELO 10</span></td></tr></thead><tbody><tr><td>ELOix</td><td>9.16.110</td><td>10.00.011</td></tr><tr><td>ELO Java Client</td><td>9.03.018 64bit</td><td>10.00.010 64bit</td></tr><tr><td>ELO Web Client</td><td>9.03.004</td><td>10.00.002</td></tr><tr><td>ELOwf</td><td>9.03.004</td><td>10.00.002</td></tr><tr><td>ELOas</td><td>9.03.006</td><td>10.00.002</td></tr></tbody></table>

<span
style='font-weight:bold'>Abhängigkeiten/ Mindestanforderungen an Pakete der ELO Business Solutions:</span>

<table><thead><tr><td><span
style='font-weight:bold'>Paket</span></td><td><span
style='font-weight:bold'>Version</span></td></tr></thead><tbody><tr><td>common</td><td>1.02.000</td></tr><tr><td>contact</td><td>1.02.000</td></tr><tr><td>common_signature</td><td>1.02.000</td></tr><tr><td>common_monitoring</td><td>1.02.000</td></tr></tbody></table>

<span
style='font-weight:bold'>Lizenzpflichtig sind folgende Module:</span>

*   ELO Business Solution Contract






