# Etikett erstellen

<span class="tag_important">Etiketten helfen bei einer standardisierten Ablage und bieten wie <a
href="#!/guide/p34B444FD_1EBB_473F_90E6_105AB3CD1F2B">Deckblätter</a> eine Verknüpfung zur digitalen Akte.</span>

## Etiketten zur Identifikation von Verträgen

Die Vertragsnummer sowie der verantwortliche Mitarbeiter dienen später einer Zuordnung physikalischer Elemente. 
Etiketten werden im Standard im<span
style='font-weight:bold'> Format 88mm x 50mm</span> erzeugt.

{@img img1.png}

Durch zusätzliche QR-Codes können Verträge mithilfe gängiger Barcode-Reader identifiziert werden. Zugrunde liegt hier ein elodms-Link, welcher mit dem ELO Java Client oder der ELO iOS/Android-App genutzt werden kann. Dieser enthält die ELO GUID des Vertrags, bspw.: `elodms://(97062DB4-DCBC-3F0F-DB33-248B85549B7A)`

Im Apple App Store oder Google Play Store finden sich eine Reihe guter Barcode-Apps, die für die Erkennung der ELO Links verwendet werden können. Folgende Abbildung zeigt die iOS-App RedLaser der Firma eBay inc.
{@img img3.png}

## Aktion: Etikett erstellen

Erstellt ein Etikett im PDF Format zum ausgewählten Vertrag.

Die Aktion kann im Reiter `Verträge` der Multifunktionsleiste aufgerufen werden.

{@img img5.png}

### Vorbedingungen

*   Ein Vertrag wurde ausgewählt
*   <span
style='font-weight:bold'>Vorlage für das Etikett </span>auswählen (optional, falls nur eine vorhanden)

### Implementierung

<span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration `sol.contract.documents.CreateLabel`.</span>

Der <span
style='font-weight:bold'>technische Ablauf</span> wird durch die ELOas Aktion `sol.contract.as.actions.CreateLabel` implementiert. Diese erstellt mithilfe von Apache FOP ein PDF und legt dieses zum aktuellen Vertrag ab.

Im Erfolgsfall werden folgende Events an den Client übermittelt:

<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Zeigt das neu angelegte Element im Client an.</td><td></td></tr></tbody></table>

## Etiketten-Vorlagen konfigurieren

Etiketten basieren auf Apache FOP Templates und setzen für die Datenauswertung handlebars.js. Etiketten finden sich dabei in der Konfiguration des Vertragsmanagements unter Vorlagen für Etiketten.

{@img img7.png}

## Etiketten drucken

Bei der Auswahl eines geeigneten Etikettendruckers sollte auf die Unterstützung dies Formats 88mm x 50mm geachtet werden, andernfalls muss die Vorlage zur Erstellung des Etiketts angepasst werden.

Grundsätzlich kann der Etikettendrucker <span
style='font-weight:bold'>Leitz Icon</span> empfohlen werden, der dieses Format unterstützt. Vorteilhaft sind hier insbesondere dessen Geschwindigkeit sowie Mobilität.

{@img img9.png}

### Einrichten des Etikettendruckers

Einige Etikettendrucker erfordern eine Voreinstellung des verwendeten Formats, falls über den Druckertreiber gedruckt wird. Diese Einstellung kann in der allgemeinen Druckeinstellung des Etikettendruckers vorgenommen werden. Das Format 88mm x 50mm entspricht bspw. dem Papierformat `Multipurpose 2''x3.2''` des Leitz Icon.

{@img img11.png}

### Standard-Drucker für ELO auswählen

Die Funktion <span
style='font-weight:bold;font-style:italic'>Dokument drucken</span> des ELO Java Clients verwendet den Windows Standard-Drucker. In diesem Fall muss der Etikettendrucker als Standarddrucker in Windows konfiguriert werden.

Soll am gewünschten Arbeitsplatz auch normal gedruckt werden, kann die ELO Java Client Funktion <span
style='font-weight:bold;font-style:italic'>Dokument faxen</span> hier zweckentfremdet werden. Der Etikettendrucker muss dabei in der Konfiguration des ELO Java Clients als Standarddrucker für Faxe hinterlegt werden.
