# Klauseln bearbeiten

Bei bereits erstellten Vertragsdokumenten können selbstverständlich weitere Klauseln hinzugefügt oder auch entfernt werden. Dies ist über die Aktion &quot;Klauseln bearbeiten&quot; möglich.
> 
> <span
style='font-style:italic'>Beim Hinzufügen wird die neue Klausel an das Ende des Dokuments angehängt. Beim Entfernen wird das Dokument durchsucht und der entsprechende Abschnitt entfernt.</span>

<span class="tag_important">Auch beim Entfernen wird empfohlen, diesen Weg zu nutzen und nicht einfach nur die Textabsätze im Dokument zu löschen. Nur so ist auch in den Metadaten ersichtlich, dass dieses Dokument eine bestimmte Auswahl an Klauseln führt.</span>

## Aktion: Neue Vertragsklausel

Die Aktion kann im Reiter `Vertrag` der Multifunktionsleiste aufgerufen werden.

{@img img1.png}

### Vorbedingungen

*   Der Anwender befindet sich im Client auf oder innerhalb eines Vertrags.
*   <span
style='font-weight:bold'>Es wurde ein Dokument selektiert, welches Platzhalter-Texte enthält.</span>

### Dateneingabe

Für die Dateneingabe wird die Formular-Tab-Gruppe <span
style='font-weight:bold;font-style:italic'>003_edit_clauses</span> des Formulars <span
style='font-weight:bold;font-style:italic'>sol_contract_document</span> eingesetzt.

{@img img3.png}

Diese setzt sich aus folgenden Bausteinen zusammen:

<table><thead><tr><td><span
style='font-weight:bold'>Dokumentdaten</span></td></tr></thead><tbody><tr><td>400_clauses</td></tr></tbody></table>

Anschließend wird das Vertragsdokument geöffnet, in dem die Vertragsklauseln hinzugefügt bzw. entfernt wurden.

### Implementierung

<span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration `sol.contract.EditClauses`.</span>

Der <span
style='font-weight:bold'>technische Ablauf</span> wird durch eine konfigurierbare Aktion implementiert. Diese startet den Workflow `sol.contract.document.clauses.edit`.

Im Erfolgsfall werden folgende Events an den Client übermittelt:

<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Zeigt das Formular zur Dateneingabe in einem Dialog an.</td><td></td></tr><tr><td>GOTO</td><td>Zeigt das neu angelegte Element im Client an.</td><td>CHECKOUT</td></tr></tbody></table>

<span
style='font-weight:bold'>Beschreibung des Workflows</span>

{@img img5.png}

<table><thead><tr><td><span
style='font-weight:bold'>Knotenbezeichnung</span></td><td><span
style='font-weight:bold'>Beschreibung</span></td><td><span
style='font-weight:bold'>Funktion</span></td></tr></thead><tbody><tr><td><span
style='font-weight:bold'>Edit clauses</span></td><td>Auswahl zum Hinzufügen oder Entferne von Vertragsklauseln</td><td></td></tr><tr><td><span
style='font-weight:bold'>Edit word parts</span></td><td>Bearbeitet die Klauseln im ausgewählten Word-Dokument</td><td>sol.common_document.ix.functions.EditWordParts</td></tr></tbody></table>
