# Tabelle

Die <span
style='font-weight:bold;font-style:italic'>Tabellenansicht</span> im Dashboard ist besonders nah an der Datenbasis und listet die hinterlegten Daten übersichtlich auf. Inhalte und Struktur kann jeder Benutzer für seine individuellen Zwecke selbst anpassen. 

{@img img1.png}

Beim einfachen Klick auf einen Eintrag in der Tabelle wird die Dokumentenvorschau des zugehörigen Vertrags geöffnet. Bei einem Doppelklick findet hingegen ein Sprung ins Archiv statt. Das Dashboard wird hierbei verlassen.

## Sortierung

Jede sichtbare Spalte kann durch den Klick auf ihren Spaltentitel sortiert werden. Beim ersten Klick wird aufsteigend, beim zweiten Klick absteigend sortiert. Beim dritten Klick oder beim Klick auf einen anderen Spaltentitel wird die Sortierung dieser Spalte wieder verworfen. Markiert wird die Sortierreihenfolge durch einen Pfeil im Spaltentitel.

{@img img3.png}

Durch einen Klick auf den dünnen Pfeil am rechten Rand im Spaltentitel kann die gewünschte Sortierung direkt ausgewählt werden. Ebenso werden hier die Möglichkeiten zum Ausblenden sowie zum Gruppieren der Spalten angeboten.

<span class="tag_important">Neben Texten, Zahlenwerten und Beträgen können auch Datumwerte korrekt sortiert werden.</span>

## Gruppierung

Die Inhalte einer Spalte können gruppiert werden. Alle mehrfachen Werte werden dabei in gesonderte Gruppen gebündelt, die mit einem Zähler versehen werden. Jede dieser Gruppenzeilen kann auf- und zugeklappt werden, um auf die Werte der Gruppe zugreifen zu können.

{@img img5.png}

Es können auch mehrere Gruppierungen miteinander kombiniert werden. Die Reihenfolge der gruppierten Spalten entscheidet hierbei über die thematische Strukturierung der Daten. 

> <span
style='font-style:italic'>Ein Sachbearbeiter möchte jeweils alle Dienstleistungsverträge von verschiedenen Vertragspartnern einsehen. Er gruppiert also zunächst die Spalte `Vertragstyp` und anschließend die Spalte `Firmenname`, um so komfortabel zwischen den erzeugten Gruppen wechseln zu können.</span>

<span class="tag_important">Gruppierte Spalten lassen ebenfalls eine Sortierung ihrer Inhalte zu. Bei mehrfacher Gruppierung kann jede dieser Gruppierungen gesondert sortiert werden.</span>

## Mathematische Berechnungen

Werden Verträge nach Kriterien, wie bspw. dem Vertragstyp, gruppiert, können auf Nummernfeldern, wie der Summe in Hauswährung, statistische Auswertungen durchgeführt werden. Hierzu muss die Spaltenkonfiguration geöffnet werden. Es stehen folgende Berechnungsmöglichkeiten zur Verfügung:

<table><thead><tr><td>Art</td><td>Beschreibung</td></tr></thead><tbody><tr><td>Summe</td><td>Berechnet die Summe aller Werte</td></tr><tr><td>Minimum</td><td>Ermittelt den kleinsten Wert</td></tr><tr><td>Maximum</td><td>Ermittelt den größten Wert</td></tr><tr><td>Durchschnitt</td><td>Berechnet den Durchschnittswert alle Werte</td></tr></tbody></table>

Die Gruppierungsspalte der Tabelle zeigt anschließend die berechneten Werte.

{@img img7.png}

## Spaltenkonfiguration

Die Spalten der Tabelle basieren auf einer Auswahl der wichtigsten Maskenfelder aus den Verträgen. Im Standard ist für den Benutzer eine gewisse Anzahl an Spalten vordefiniert. Weitere Spalten können über das Konfigurationsmenü am oberen rechten Rand der Tabelle hinzugefügt werden.

{@img img9.png}

Die Reihenfolge aller Spalten kann per Drag &amp; Drop auf den Spaltentitel angepasst werden. Ebenso kann die Breite jeder Spalte durch Klicken und Ziehen auf der Trennlinie zwischen zwei Spaltentiteln verändert werden.

<span class="tag_important">Die Wahl und Reihenfolge der Spalten wird clientseitig gespeichert. Bei einem erneuten Aufruf des Dashboards kann die Arbeit an gleicher Stelle fortgesetzt werden.</span>

