# Vertragsverhältnis

Das Vertragsverhältnis beschreibt u.a. die<span
style='font-weight:bold'> Zuständigkeit bei der Erfüllung des Vertrags</span> und ist für die Bewertung von Vertragsrisiken relevant. Verträge werden als zweiseitige Rechtsgeschäfte bezeichnet. Die daraus entstehenden Ansprüche stellen die Grundlage für das Vertragsverhältnis dar. 

> <span
style='font-style:italic'>Bei einem Kaufvertrag verpflichtet sich bspw. Partei A die Kaufsache an Partei B zu übereignen, während Partei B sich zur Abnahme der Kaufsache sowie Übereignung des vereinbarten Kaufpreises verpflichtet.</span>

Abstrahiert ist für die Bewertung des Vertragsverhältnisses somit relevant, welche Partei für das Angebot der Sach-/ bzw.  Dienstleistung verantwortlich ist. Im Kern demnach, ob der Vertragspartner Kunde oder Lieferant ist. Unterschieden wird daher zwischen <span
style='font-weight:bold'>eingehenden</span> und <span style='font-weight:bold'>ausgehenden Verträgen</span>.

{@img img1.png}

Das Vertragsverhältnis kann im Formular bspw. beim <a
href="#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A">Anlegen eines neuen Vertrags</a> gesetzt werden. Es empfiehlt sich, das Vertragsverhältnis je nach <a
href="#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF">Vertragstyp</a> zu setzen.

{@img img3.png}

## Eingehende Verträge

Verträge, welche mit dritten abgeschlossen werden mit dem Ziel Sach- oder Dienstleistungen zu erwerben, werden als eingehende Verträge bezeichnet. Im klassischen Fall sind dies Verträge mit Lieferanten, die von der Einkaufsabteilung abgeschlossen werden.

> <span
style='font-style:italic'>Mit einem Zulieferer wird ein Vertrag zur Abnahme von Schrauben abgeschlossen, die für die Produktion benötigt werden.</span>

> <span
style='font-style:italic'>Die Entwicklungsabteilung schließt mehrere Zeitungs-Abonnements ab, um den Mitarbeitern Zugriff auf aktuelle IT-Entwicklungen zu geben.</span>

> <span
style='font-style:italic'>Mit einem Beratungsunternehmen wird ein Vertrag abgeschlossen, um interne Prozesse zu optimieren und eine neue Software zu implementieren.</span>

## Ausgehende Verträge

Verträge, die mit dem Ziel abgeschlossen werden, Sach- und Dienstleistungen zu veräußern, werden als ausgehende Verträge bezeichnet. Im klassischen Fall sind dies Verträge mit Endkunden, die vom Vertrieb abgeschlossen werden.

> <span
style='font-style:italic'>Mit einem Kunden wird ein Kaufvertrag für ein Auto abgeschlossen, das als Produkt angeboten wird.</span>

> <span
style='font-style:italic'>Der Vertrieb schließt mit einem Kunden einen Kaufvertrag zur Abnahme von Softwarelizenzen für eine Vertragsmanagement-Lösung ab.</span>

> <span
style='font-style:italic'>Die Consulting-Abteilung schließt mit einem Kunden einen Vertrag zur Implementierung einer Vertragsmanagement-Lösung ab.</span>

## Konfiguration der möglichen Vertragsverhältnisse

Vertragsverhältnisse werden über eine lokalisierte Stichwortliste abgebildet. Die Konfiguration<span
style='font-weight:bold;font-style:italic'> &quot;Lokalisierte Stichwortlisten&quot;</span> des Vertragsmanagements enthält dabei eine Stichwortliste `relation`, die es ermöglicht, weitere Vertragsverhältnisse anzubieten. Im Standard werden folgende Auswahlmöglichkeiten angeboten:

<table><thead><tr><td>Schlüssel</td><td>Beschreibung</td></tr></thead><tbody><tr><td>I</td><td>Eingehend</td></tr><tr><td>O</td><td>Ausgehend</td></tr></tbody></table>

{@img img5.png}







