# Verhandlungsabbruch

Die Anbahnung eines Vertrages kann jederzeit vor dem endgültigen Vertragsabschluss abgebrochen werden. Dies kann verschiedene Gründe haben. Sowohl während der Entwurfsphase als auch bei der Freigabe können Formalitäten zu Tage treten, die einen Abbruch notwendig machen. Ebenso kann bei der Verhandlung eine Ablehnung von einem der Vertragspartner erfolgen, weshalb der Vertrag nicht zustande kommt.

{@img img1.png}

Nach Abschluss eines Vertrages und dessen Inkrafttreten kann dieser nur noch durch eine <a
href="#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7">Kündigung</a> aufgelöst werden.

<span class="tag_warning">Der Verhandlungsabbruch wird im Standard lediglich markiert. Es werden keine zwingenden Formulareingaben benötigt, sondern lediglich der Status geändert und ein Feed-Beitrag erzeugt. Bei Bedarf kann der hinterlegte Workflow um weitere Funktionsbausteine erweitert werden.</span>

## Aktion: Verhandlung abbrechen

Die Aktion kann im Reiter `Verträge` der Multifunktionsleiste aufgerufen werden. 

{@img img3.png}

### Vorbedingungen

*   Ein Vertrag ist ausgewählt.

### Dateneingabe

Für diese Aktion ist keine Dateneingabe vorgesehen. 

### Implementierung

<span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration `sol.contract.NegotiationCanceled`.</span>

Der <span
style='font-weight:bold'>technische Ablauf</span> wird durch die Index Server Aktion `sol.contract.ix.actions.CancelNegotiation` implementiert. 
Diese  startet den Workflow `sol.contract.contract.cancelNegotiation`.

Im Erfolgsfall werden folgende Events an den Client übermittelt:

<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>FEEDBACK</td><td>Zeigt eine kurze Benachrichtigung zum Verhandlungsabbruch an.</td><td></td></tr><tr><td>REFRESH</td><td>Aktualisiert die Darstellung des SORD-Objekts.</td><td></td></tr></tbody></table>

<span
style='font-weight:bold'>Beschreibung des Workflows</span>

{@img img5.png}

<table><thead><tr><td><span
style='font-weight:bold'>Knotenbezeichnung</span></td><td><span
style='font-weight:bold'>Knotenname deutsch und Beschreibung</span></td><td><span
style='font-weight:bold'>Funktion</span></td></tr></thead><tbody><tr><td><span
style='font-weight:bold'>STATUS: Canceled</span></td><td><span
style='font-weight:bold'>STATUS: Abgebrochen</span><br />Verteilungsknoten: Setzt das Indexfeld CONTRACT_STATUS auf `C`</td><td>sol.common.ix.functions.Status</td></tr><tr><td><span
style='font-weight:bold'>FEED: Negotiation canceled</span></td><td><span
style='font-weight:bold'>FEED: Verhandlung abgebrochen</span><br />Verteilungsknoten: Legt einen Feed-Eintrag zum Verhandlungsabbruch an.</td><td>sol.common.ix.functions.FeedComment</td></tr><tr><td><span
style='font-weight:bold'>CHANGECOLOR: Contract terminated</span></td><td><span
style='font-weight:bold'>CHANGECOLOR: Vertrag beendet</span><br />Verteilungsknoten: Setzt die Farbe des SORD Objekts</td><td>sol.common.ix.functions.ChangeColor</td></tr></tbody></table>


