# Bericht des Zahlungsplans

Exportiert alle Verträge zur Auswertung nach Microsoft Excel und löst alle Zahlungsströme des <a
href="#!/guide/pE1306A1A_299A_4444_855E_CF0DD902F521">Vertragsvolumens</a> nach den gegebenen Perioden in Einzelströme auf. Als Ergebnis findet sich für jede Zahlung eines Vertrags eine Zeile im Data-Register der Microsoft-Excel-Datei. Grundlage für die Erzeugung von Vertragsberichten sind Vorlagen für Berichte. Siehe auch <a
href="#!/guide/pE813B0B9_50F0_4400_9450_59AAE9C1BB07">Reporting</a>.

<span class="tag_important">Werden im Vertragsvolumen keine Datumswerte für einzelne Zahlungen angegeben, gilt der Vertragsbeginn sowie das geplante Vertragsende. Das ist besonders hilfreich, da bei einer automatischen Vertragsverlängerung die Zahlungsströme automatisch auch für den Verlängerungszeitraum berechnet werden.</span>

Der Zahlungsplanbericht ermöglicht es, auf Basis von Einzelzahlungsströmen eines Vertrags, beispielsweise den Cashflow nach Monaten, Quartalen oder Jahren zu ermitteln. Somit stehen vielfältige Möglichkeiten der Liquiditätsplanung bereit.

> <span
style='font-style:italic'>Ein Beispiel: Es wird ein Bericht erzeugt bei dem Zahlungen nach Monaten und zuständiger Abteilung ermittelt werden. Vertragscontroller haben somit die Möglichkeit Abteilungen zu identifizieren die in wenigen Monaten einen großen Abfluss an Geldern verursachen.</span>


Als Ergebnis des erzeugten Berichts wird das Data-Register wie folgt befüllt. Die Felder <span
style='font-weight:bold;font-style:italic'>MAP_CONTRACT_CASHFLOW_DESC</span>, <span
style='font-weight:bold;font-style:italic'>MAP_CONTRACT_CASHFLOW_AMOUNT</span> und <span
style='font-weight:bold;font-style:italic'>MAP_CONTRACT_CASHFLOW_DATE</span> entsprechen dabei jeweils einem Zahlungsstrom und werden bei Wiederkehrenden Zahlungen berechnet. Nachfolgend zeigt sich dies an einem Zeitschriften Abonnement welches einen <span
style='font-weight:bold;font-style:italic'>monatlichen</span> Posten <span
style='font-weight:bold;font-style:italic'>Abo-Kosten zu 1500€ für ein Jahr</span> beinhaltet.

{@img img1.png}

## Aktion: Bericht Zahlungsplan

Die Aktion kann im Reiter <span
style='font-weight:bold;font-style:italic'>Verträge</span> der Multifunktionsleiste aufgerufen werden.

{@img img3.png}

### Vorbedingungen

*   Ordner-Element auswählen, das Verträge enthält
*   <span
style='font-weight:bold'>Berichtstemplate </span>auswählen (optional, falls nur ein Typ vorhanden)

### Implementierung

<span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration `sol.contract.CreateCashFlowReport`.</span>

Der <span
style='font-weight:bold'>technische Ablauf</span> wird durch die ELOas-Aktion `sol.contract.as.actions.CreateCashflowReport` implementiert. Diese erstellt mit Hilfe von Apache FOP aus dem gewählten Template und den Daten aus der registrierten Funktion `sol.contract.ix.services.PaymentPlanCollector` ein PDF am ausgewählten Ort.

Im Erfolgsfall werden folgende Events an den Client übermittelt:

<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Zeigt das neu angelegte Element im Client an und öffnet das neu erzeugte Dokument in Microsoft Excel.</td><td></td></tr></tbody></table>

