# Verhandlung

Die Vertragsverhandlung ist in vielen Fällen eine eigene Phase in der Anbahnung eines Vertrages. Üblicherweise kann nach der <a
href="#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C">Freigabe</a> eines Vertragsentwurfs die Verhandlung mit dem Vertragspartner beginnen. Den Abschluss dieser Phase markiert entweder der erfolgreiche <a
href="#!/guide/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04">Vertragsabschluss</a> (sprich die Unterzeichnung) oder der <a
href="#!/guide/pCA6E07D7_E207_47B7_BEFA_14F27954FADF">Abbruch der Vertragsverhandlung</a>.

{@img img1.png}

> <span
style='font-style:italic'>Ein Vertragsentwurf wurde von verschiedenen Stellen freigegeben und kann in die Verhandlung gehen. Es wird dabei ein  vorläufiges Vertragsdokument erzeugt und dem Vertragspartner vorgelegt. Im Laufe einer Verhandlung können immer noch Änderungen vorgenommen werden. Hierbei kann je nach Schwere der Änderung eine erneute Freigabe nötig sein.</span>

<span class="tag_warning">Die Phase der Verhandlung wird im Standard lediglich markiert. Es werden keine zwingenden Formulareingaben benötigt, sondern lediglich der Status geändert und ein Feed-Beitrag erzeugt. Bei Bedarf kann der hinterlegte Workflow um weitere Funktionsbausteine erweitert werden.</span>

## Aktion: Verhandlung einleiten

Die Aktion kann im Reiter `Verträge` der Multifunktionsleiste aufgerufen werden. 

{@img img3.png}

### Vorbedingungen

*   Ein Vertrag ist ausgewählt.

### Dateneingabe

Für diese Aktion ist keine Dateneingabe vorgesehen. 

### Implementierung

<span class="tag_warning"><span
style='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration `sol.contract.NegotiateContract`.</span>

Der <span
style='font-weight:bold'>technische Ablauf</span> wird durch die Index Server Aktion `sol.contract.ix.actions.NegotiateContract` implementiert. 
Diese startet den Workflow `sol.contract.contract.negotiation`.

Im Erfolgsfall werden folgende Events an den Client übermittelt:

<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>FEEDBACK</td><td>Zeigt eine kurze Benachrichtigung zur Verhandlungseinleitung an.</td><td></td></tr><tr><td>REFRESH</td><td>Aktualisiert die Darstellung des SORD-Objekts.</td><td></td></tr></tbody></table>

<span
style='font-weight:bold'>Beschreibung des Workflows</span>

{@img img5.png}

<table><thead><tr><td><span
style='font-weight:bold'>Knotenbezeichnung</span></td><td><span
style='font-weight:bold'>Knotenname deutsch und Beschreibung</span></td><td><span
style='font-weight:bold'>Funktion</span></td></tr></thead><tbody><tr><td><span
style='font-weight:bold'>STATUS: Negotiation</span></td><td><span
style='font-weight:bold'>STATUS: Verhandlung</span><br />Verteilungsknoten: Setzt das Indexfeld CONTRACT_STATUS auf `N`</td><td>sol.common.ix.functions.Status</td></tr><tr><td><span
style='font-weight:bold'>CHANGECOLOR: Contract negotiation</span></td><td><span
style='font-weight:bold'>CHANGECOLOR: Vertragsverhandlung</span><br />Verteilungsknoten: Setzt die Farbe des SORD Objekts</td><td>sol.common.ix.functions.ChangeColor</td></tr><tr><td><span
style='font-weight:bold'>FEED: Contract negotiation</span></td><td><span
style='font-weight:bold'>FEED: Vertragsverhandlung</span><br />Verteilungsknoten: Legt einen Feed-Eintrag zur Einleitung der Vertragsverhandlung an.</td><td>sol.common.ix.functions.FeedComment</td></tr></tbody></table>


