Ext.data.JsonP.p10C4B882_3072_4CC4_BED1_E497E57E8B95({"guide":"<h1 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-stammdaten%2F-datenmodell'>Stammdaten/ Datenmodell</h1>\n\n<p>Ein Vertrag enthält eine Reihe von Stammdaten, die zur laufenden Verarbeitung benötigt werden. Während der Vertragsanbahnung werden diese Werte nach und nach gefüllt und im späteren Verlauf weiter aktualisiert. Diese Daten sind als Referenz zu betrachten und können im Projektgeschäft um spezifische Felder erweitert werden.</p>\n\n<p>Im Wesentlichen können die Stammdaten eines Vertrages in verschiedene Kategorien eingeteilt werden:</p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Kategorie</span></td><td><span\nstyle='font-weight:bold'>Beschreibung</span></td></tr></thead><tbody><tr><td>Allgemein</td><td>Technisch relevante Daten, wie Vertragstyp und Vertragsverhältnis</td></tr><tr><td>Mandant</td><td>Informationen zum ersten Vertragspartner, in dessen Namen die Verwaltung stattfindet</td></tr><tr><td>Vertragsdaten</td><td>Verwaltungsrelevante Daten wie Vertragsnummer, Verantwortlicher und Abteilung</td></tr><tr><td>Buchhaltung</td><td>Angaben zu Kostenstelle und Kostenträger</td></tr><tr><td>Projekt</td><td>Verträge können Projekten zugewiesen werden</td></tr><tr><td>Laufzeit</td><td>Informationen zur Vertragslaufzeit sowie Fristen zu Kündigung und Wiedervorlage</td></tr><tr><td>Vertragspartner</td><td>Firmen- und Kontaktdaten zum zweiten Vertragspartner (Kunde / Lieferant)</td></tr><tr><td>Zahlungsplan</td><td>Aufstellung aller mit dem Vertrag verbundenen Zahlungen über die Vertragslaufzeit</td></tr></tbody></table>\n\n\n<p>Nach diesem Modell wurden in der Business Solution Contract das Datenmodell sowie der Aufbau der Formulare gestaltet. Manche Daten sind hierbei als Pflichtinformation zu verstehen. So basiert die Grundfunktionalität von Contract auf Feldern aus den Kategorien &quot;Allgemein&quot;, &quot;Vertragsdaten&quot;, &quot;Laufzeit&quot; und &quot;Vertragspartner&quot;. Andere Werte sind hingegen optional zu verstehen. Dazu gehören die Kategorien &quot;Mandant&quot;, &quot;Projekt&quot; und &quot;Zahlungsplan&quot;. Sollten Teile davon nicht benötigt werden, kann ein Standard gesetzt und der dazu passende Formularbaustein entfernt werden.</p>\n\n<h2 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-datenmodell'>Datenmodell</h2>\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-allgemein'>Allgemein</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Bezeichnung</td><td>CONTRACT_NAME</td><td>Indexfeld</td><td></td></tr><tr><td>Kategorie</td><td>CONTRACT_CATEGORY</td><td>Indexfeld</td><td></td></tr><tr><td>Typ</td><td>CONTRACT_TYPE</td><td>Indexfeld</td><td></td></tr><tr><td>Verhältnis</td><td>CONTRACT_RELATION</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.Relation\" rel=\"sol.contract.ix.localizedKwl.Relation\" class=\"docClass\">sol.contract.ix.localizedKwl.Relation</a></td></tr><tr><td>Risikoklassifizierung</td><td>CONTRACT_RISK_CLASSIFICATION</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.RiskClassification\" rel=\"sol.contract.ix.localizedKwl.RiskClassification\" class=\"docClass\">sol.contract.ix.localizedKwl.RiskClassification</a></td></tr><tr><td>Status</td><td>CONTRACT_STATUS</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.Status\" rel=\"sol.contract.ix.localizedKwl.Status\" class=\"docClass\">sol.contract.ix.localizedKwl.Status</a></td></tr><tr><td>Ablageort</td><td>CONTRACT_FILING_LOCATION</td><td>Indexfeld</td><td>Existing entries</td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-mandant'>Mandant</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Buchungskreis</td><td>COMPANY_CODE</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.Company\" rel=\"sol.contract.ix.dynkwl.Company\" class=\"docClass\">sol.contract.ix.dynkwl.Company</a></td></tr><tr><td>Mandant</td><td>COMPANY_NAME</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.Company\" rel=\"sol.contract.ix.dynkwl.Company\" class=\"docClass\">sol.contract.ix.dynkwl.Company</a></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-vertragsdaten'>Vertragsdaten</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Vertragsnummer</td><td>CONTRACT_NO</td><td>Indexfeld</td><td></td></tr><tr><td>Externe Vertragsnummer</td><td>EXTERNAL_CONTRACT_NO</td><td>Indexfeld</td><td></td></tr><tr><td>Verantwortlicher</td><td>CONTRACT_RESPONSIBLE</td><td>Indexfeld</td><td>ELO Usernames</td></tr><tr><td>Abteilung</td><td>CONTRACT_DEPARTMENT</td><td>Indexfeld</td><td>ELO Usernames</td></tr><tr><td>Einkäufer</td><td>CONTRACT_PROCUREMENT</td><td>Indexfeld</td><td>ELO Usernames</td></tr><tr><td>Vertragsabschluss</td><td>CONTRACT_DATE</td><td>Indexfeld</td><td>#DATE#</td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-zahlungsdaten'>Zahlungsdaten</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Zahlungsart</td><td>IX_GRP_CONTRACT_PAYMENT_TYPE</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.PaymentType\" rel=\"sol.contract.ix.localizedKwl.PaymentType\" class=\"docClass\">sol.contract.ix.localizedKwl.PaymentType</a></td></tr><tr><td>Steuerschuldner</td><td>IX_MAP_CONTRACT_TAXDEBTOR</td><td>Map-Feld</td><td></td></tr><tr><td>Zahlungsrichtung</td><td>IX_GRP_CONTRACT_PAYMENT_DIRECTION</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.PaymentDirection\" rel=\"sol.contract.ix.localizedKwl.PaymentDirection\" class=\"docClass\">sol.contract.ix.localizedKwl.PaymentDirection</a></td></tr><tr><td>Weitere Leistungen</td><td>IX_MAP_CONTRACT_ADDITIONALSERVICES</td><td>Map-Feld</td><td></td></tr><tr><td>Umsatzssteuerpflichtig</td><td>IX_GRP_CONTRACT_SUBJECTTOVAT</td><td>Indexfeld</td><td></td></tr><tr><td>Befreiungsnorm</td><td>IX_MAP_CONTRACT_EXEMPTIONSTANDARD</td><td>Map-Feld</td><td></td></tr><tr><td>Vorsteuerabzug</td><td>IX_GRP_CONTRACT_PRETAXDEDUCTION</td><td>Indexfeld</td><td></td></tr><tr><td>Prozentsatz quotal</td><td>IX_MAP_CONTRACT_PROPORTIONALPERCENTAGE</td><td>Map-Feld</td><td></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-buchhaltung'>Buchhaltung</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Kostenstelle Nr.</td><td>COST_CENTER_NO</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.CostCenter\" rel=\"sol.contract.ix.dynkwl.CostCenter\" class=\"docClass\">sol.contract.ix.dynkwl.CostCenter</a></td></tr><tr><td>Kostenstelle Bezeichnung</td><td>COST_CENTER_NAME</td><td>Map-Feld</td><td></td></tr><tr><td>Kostenträger Nr.</td><td>COST_OBJECT_NO</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.CostObject\" rel=\"sol.contract.ix.dynkwl.CostObject\" class=\"docClass\">sol.contract.ix.dynkwl.CostObject</a></td></tr><tr><td>Kostenträger Bezeichnung</td><td>COST_OBJECT_NAME</td><td>Map-Feld</td><td></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-projekt'>Projekt</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Nummer</td><td>PROJECT_NO</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.Project\" rel=\"sol.contract.ix.dynkwl.Project\" class=\"docClass\">sol.contract.ix.dynkwl.Project</a></td></tr><tr><td>Name</td><td>PROJECT_NAME</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.Project\" rel=\"sol.contract.ix.dynkwl.Project\" class=\"docClass\">sol.contract.ix.dynkwl.Project</a></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-laufzeit'>Laufzeit</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Vertragsbeginn</td><td>CONTRACT_START</td><td>Indexfeld</td><td>#DATE#</td></tr><tr><td>Laufzeit Wert</td><td>CONTRACT_DURATION</td><td>Map-Feld</td><td></td></tr><tr><td>Laufzeit Einheit</td><td>CONTRACT_DURATION_UNIT</td><td>Map-Feld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.CalendarUnit\" rel=\"sol.contract.ix.localizedKwl.CalendarUnit\" class=\"docClass\">sol.contract.ix.localizedKwl.CalendarUnit</a></td></tr><tr><td>Verlängerungsdauer Wert</td><td>EXTENSION_INTERVAL</td><td>Map-Feld</td><td></td></tr><tr><td>Verlängerungsdauer Einheit</td><td>EXTENSION_INTERVAL_UNIT</td><td>Map-Feld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.CalendarUnit\" rel=\"sol.contract.ix.localizedKwl.CalendarUnit\" class=\"docClass\">sol.contract.ix.localizedKwl.CalendarUnit</a></td></tr><tr><td>Vertragsende</td><td>CONTRACT_END</td><td>Indexfeld</td><td>#DATE#</td></tr><tr><td>Automatische Verlängerung</td><td>AUTOMATIC_EXTENSION</td><td>Map-Feld</td><td></td></tr><tr><td>Kündigungsfrist Wert</td><td>NOTICE_PERIOD</td><td>Map-Feld</td><td></td></tr><tr><td>Kündigungsfrist Einheit</td><td>NOTICE_PERIOD_UNIT</td><td>Map-Feld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.CalendarUnit\" rel=\"sol.contract.ix.localizedKwl.CalendarUnit\" class=\"docClass\">sol.contract.ix.localizedKwl.CalendarUnit</a></td></tr><tr><td>Kündigung zum</td><td>TERMINATION_POINT</td><td>Map-Feld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.TerminationPoint\" rel=\"sol.contract.ix.localizedKwl.TerminationPoint\" class=\"docClass\">sol.contract.ix.localizedKwl.TerminationPoint</a></td></tr><tr><td>Nächste Kündigungsfrist</td><td>NEXT_POSSIBLE_TERMINATION</td><td>Indexfeld</td><td>#DATE#</td></tr><tr><td>Gekündigt am</td><td>TERMINATION_DATE</td><td>Indexfeld</td><td>#DATE#</td></tr><tr><td>Wiedervorlagefrist Wert</td><td>REMINDER_PERIOD</td><td>Map-Feld</td><td></td></tr><tr><td>Wiedervorlagefrist Einheit</td><td>REMINDER_PERIOD_UNIT</td><td>Map-Feld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.CalendarUnit\" rel=\"sol.contract.ix.localizedKwl.CalendarUnit\" class=\"docClass\">sol.contract.ix.localizedKwl.CalendarUnit</a></td></tr><tr><td>Nächstes Wiedervorlagedatum</td><td>NEXT_REMINDER_DATE</td><td>Indexfeld</td><td>#DATE#</td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-vertragspartner'>Vertragspartner</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Firmenreferenz</td><td>PARTNER_NO</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.ContractPartner\" rel=\"sol.contract.ix.dynkwl.ContractPartner\" class=\"docClass\">sol.contract.ix.dynkwl.ContractPartner</a></td></tr><tr><td>Firmenname</td><td>PARTNER_NAME</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.ContractPartner\" rel=\"sol.contract.ix.dynkwl.ContractPartner\" class=\"docClass\">sol.contract.ix.dynkwl.ContractPartner</a></td></tr><tr><td>Kontaktreferenz</td><td>CONTRACT_CONTACT_REFERENCE</td><td>Map-Feld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.ContractPartnerContact\" rel=\"sol.contract.ix.dynkwl.ContractPartnerContact\" class=\"docClass\">sol.contract.ix.dynkwl.ContractPartnerContact</a></td></tr><tr><td>Vorname</td><td>CONTACT_FIRSTNAME</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.ContractPartnerContact\" rel=\"sol.contract.ix.dynkwl.ContractPartnerContact\" class=\"docClass\">sol.contract.ix.dynkwl.ContractPartnerContact</a></td></tr><tr><td>Nachname</td><td>CONTACT_LASTNAME</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.ContractPartnerContact\" rel=\"sol.contract.ix.dynkwl.ContractPartnerContact\" class=\"docClass\">sol.contract.ix.dynkwl.ContractPartnerContact</a></td></tr><tr><td>Telefon</td><td>PARTNER_PHONE</td><td>Map-Feld</td><td></td></tr><tr><td>E-Mail</td><td>PARTNER_EMAIL</td><td>Map-Feld</td><td></td></tr><tr><td>Straße</td><td>ADDRESS_STREET</td><td>Map-Feld</td><td></td></tr><tr><td>Adresszusatz</td><td>ADDRESS_ADDITION</td><td>Map-Feld</td><td></td></tr><tr><td>PLZ</td><td>ADDRESS_ZIP_CODE</td><td>Map-Feld</td><td></td></tr><tr><td>Ort</td><td>ADDRESS_CITY</td><td>Map-Feld</td><td></td></tr><tr><td>Bundesland</td><td>ADDRESS_STATE</td><td>Map-Feld</td><td></td></tr><tr><td>Land</td><td>ADDRESS_COUNTRY</td><td>Map-Feld</td><td><a href=\"#!/api/sol.contact.ix.localizedKwl.Countries\" rel=\"sol.contact.ix.localizedKwl.Countries\" class=\"docClass\">sol.contact.ix.localizedKwl.Countries</a></td></tr><tr><td>Neue Kontakte anlegen</td><td>CONTRACT_CREATE_PARTNER</td><td>Map-Feld</td><td></td></tr><tr><td>Kontaktliste</td><td>CONTRACT_CONTACTLIST_REFERENCE</td><td>Map-Feld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.ContactList\" rel=\"sol.contract.ix.dynkwl.ContactList\" class=\"docClass\">sol.contract.ix.dynkwl.ContactList</a></td></tr><tr><td>IBAN</td><td>CONTRACT_FINANCE_IBAN</td><td>Map-Feld</td><td></td></tr><tr><td>BIC</td><td>CONTRACT_FINANCE_BIC</td><td>Map-Feld</td><td></td></tr><tr><td>Ust.-IdNr.</td><td>CONTRACT_FINANCE_VAT_ID_NO</td><td>Map-Feld</td><td></td></tr><tr><td>Steuernummer</td><td>CONTRACT_FINANCE_TAX_NO</td><td>Map-Feld</td><td></td></tr><tr><td>Handelsregister</td><td>CONTRACT_FINANCE_REGISTER_NUMBER</td><td>Map-Feld</td><td></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-zahlungsplan'>Zahlungsplan</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Beschreibung</td><td>CONTRACT_CASHFLOW_DESC{i}</td><td>Map-Feld</td><td></td></tr><tr><td>Datum</td><td>CONTRACT_CASHFLOW_DATE{i}</td><td>Map-Feld</td><td>#DATE#</td></tr><tr><td>Periode</td><td>CONTRACT_CASHFLOW_RECURRING_UNIT{i}</td><td>Map-Feld</td><td><a href=\"#!/api/sol.contract.ix.localizedKwl.CashflowRecurring\" rel=\"sol.contract.ix.localizedKwl.CashflowRecurring\" class=\"docClass\">sol.contract.ix.localizedKwl.CashflowRecurring</a></td></tr><tr><td>Bis</td><td>CONTRACT_CASHFLOW_TO{i}</td><td>Map-Feld</td><td>#DATE#</td></tr><tr><td>Betrag</td><td>CONTRACT_CASHFLOW_SINGLE{i}</td><td>Map-Feld</td><td></td></tr><tr><td>Summe</td><td>CONTRACT_CASHFLOW_AMOUNT{i}</td><td>Map-Feld</td><td></td></tr><tr><td>Gesamtsumme</td><td>CONTRACT_CASHFLOW_SUM</td><td>Indexfeld</td><td></td></tr><tr><td>Währung</td><td>CONTRACT_CURRENCY_CODE</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.Currency\" rel=\"sol.contract.ix.dynkwl.Currency\" class=\"docClass\">sol.contract.ix.dynkwl.Currency</a></td></tr><tr><td>Wechselkurs</td><td>CONTRACT_FX_RATE</td><td>Map-Feld</td><td></td></tr><tr><td>Summe in Hauswährung</td><td>CONTRACT_CASHFLOW_SUM_LOCAL_CURR</td><td>Indexfeld</td><td></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-freigabeprozess'>Freigabeprozess</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Kommentar des Initiators</td><td>APP_INITIATOR_COMMENT</td><td>WF-Map-Feld</td><td></td></tr><tr><td>Kommentar des Prüfers</td><td>APP_APPROVER_COMMENT</td><td>WF-Map-Feld</td><td></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-vertragsabschluss'>Vertragsabschluss</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Kommentar</td><td>CONCLUSION_COMMENT</td><td>WF-Map-Feld</td><td></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-k%C3%BCndigungsprozess'>Kündigungsprozess</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Kommentar des Initiators</td><td>TERM_INITIATOR_COMMENT</td><td>WF-Map-Feld</td><td></td></tr><tr><td>Kommentar des Prüfers</td><td>TERM_APPROVER_COMMENT</td><td>WF-Map-Feld</td><td></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-genehmigungsprozesse'>Genehmigungsprozesse</h3>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Benutzer-/Gruppenname</td><td>USER{i}</td><td>WF-Map-Feld</td><td><a href=\"#!/api/sol.common.ix.dynkwl.UserNames\" rel=\"sol.common.ix.dynkwl.UserNames\" class=\"docClass\">sol.common.ix.dynkwl.UserNames</a></td></tr><tr><td>Benutzer-ID</td><td>USER_ID{i}</td><td>WF-Map-Feld</td><td></td></tr><tr><td>Verpflichtend</td><td>USER_MANDATORY{i}</td><td>WF-Map-Feld</td><td></td></tr></tbody></table>\n\n\n<h3 id='p10C4B882_3072_4CC4_BED1_E497E57E8B95-section-technische-felder'>Technische Felder</h3>\n\n<p>Für den Objekttyp muss für Verträge als Maskenstandard der Wert <code>CONTRACT</code> gesetzt werden. Dies ist notwendig, um Verträge als solche eindeutig zu identifizieren.</p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Name</span></td><td><span\nstyle='font-weight:bold'>Feldbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Typ</span></td><td><span\nstyle='font-weight:bold'>Stichwortliste</span></td></tr></thead><tbody><tr><td>Objekttyp</td><td>SOL_TYPE</td><td>Indexfeld</td><td></td></tr><tr><td>Standard-Workflow</td><td>DEFAULT_WORKFLOW</td><td>Indexfeld</td><td></td></tr><tr><td>Vertragsnummer Generator</td><td>CONTRACT_NO_GEN</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.generators.ContractNo\" rel=\"sol.contract.ix.dynkwl.generators.ContractNo\" class=\"docClass\">sol.contract.ix.dynkwl.generators.ContractNo</a></td></tr><tr><td>Vertragsbezeichnung Generator</td><td>CONTRACT_SHORT_DESC_GEN</td><td>Indexfeld</td><td><a href=\"#!/api/sol.contract.ix.dynkwl.generators.ContractShortDescription\" rel=\"sol.contract.ix.dynkwl.generators.ContractShortDescription\" class=\"docClass\">sol.contract.ix.dynkwl.generators.ContractShortDescription</a></td></tr></tbody></table>\n\n","title":"Stammdaten/ Datenmodell"});