Ext.data.JsonP.p14D09AE6_4738_4539_9DDF_D79C9385A02A({"guide":"<h1 id='p14D09AE6_4738_4539_9DDF_D79C9385A02A-section-vertragsphasen'>Vertragsphasen</h1>\n\n<p>Die ELO Business Solution Contract implementiert eine <span\nstyle='font-weight:bold'>lose Steuerung des Vertragslebenszyklus</span>. Das bedeutet, dass kein allumfassender Prozess implementiert, sondern vielmehr der Zyklus in Prozessteile (Phasen) gesplittet wurde, um Vertragsmanagern die Möglichkeit zu geben, individuell auf Besonderheiten einzugehen. Die aus den unterschiedlichen Vertragsphasen resultierten Status werden im <a\nhref=\"#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8\">Vertragsstatus</a> festgehalten.</p>\n\n<p>Nachfolgend werden einige Beispiele mit abnehmender Komplexität erläutert.</p>\n\n<blockquote><p><span\nstyle='font-style:italic'>Bei einem eingehenden Vertrag wird zuerst der Bedarf ermittelt und ein Freigabeverfahren gestartet. Ist die Freigabe erfolgt, finden mehrere Verhandlungsrunden mit den Vertragspartnern statt, in denen der Einkauf versucht, den Preis weiter zu drücken. Erst dann liegt ein finaler Entwurf des Vertrages vor. Dieser kann einer erneuten Freigabe unterzogen oder abgeschlossen werden .</span></p>\n\n<p><span\nstyle='font-style:italic'>Bei einem ausgehenden Vertrag schließt der zuständige Vertriebsmitarbeiter einen Vertrag zum Verkauf einer neuen Küche mit dem Endkunden ab. Der Vertrag wird zum Zeitpunkt der Unterschrift rechtskräftig. Die Phasen Vertragsentwurf, Freigabe sowie Verhandlung entfallen auf den Tag des Verkaufsgesprächs.</span></p>\n\n<p><span\nstyle='font-style:italic'>Ein Mitarbeiter der Entwicklung schließt einen eingehenden Vertrag mit einem Zeitschriftenlieferant ab. Da das Vertragsvolumen ein geringes Ausmaß annimmt, ist eine Freigabe sowie Verhandlung nicht notwendig.</span></p></blockquote>\n\n<h2 id='p14D09AE6_4738_4539_9DDF_D79C9385A02A-section-unterschiedliche-phasen-des-vertragsmanagements'>Unterschiedliche Phasen des Vertragsmanagements</h2>\n\n<p>Die ELO Business Solution Contract stellt sechs Phasen für die Steuerung des Vertragslebenszyklus bereit: <a\nhref=\"#!/guide/p7435E940_1D95_44B8_9C89_EA6FDDEDF247\">Entwurf</a>, <a\nhref=\"#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C\">Freigabe</a>, <a\nhref=\"#!/guide/pFA843D33_178F_4995_9EF9_6807252DC76E\">Verhandlung</a>, <a\nhref=\"#!/guide/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04\">Vertragsabschluss</a>, <a\nhref=\"#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7\">Kündigung</a> sowie den <a\nhref=\"#!/guide/pCA6E07D7_E207_47B7_BEFA_14F27954FADF\">Verhandlungsabbruch</a>.</p>\n\n<p><a\nhref=\"#!/guide/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A\">Neu angelegte Verträge</a> befinden sich im Standard in der Entwurfsphase.</p>\n\n<p>Nachfolgende Abbildung veranschaulicht einen umfassenden Prozess und gibt Auskunft über die zugehörigen <a\nhref=\"#!/guide/p6A9FD817_883A_4DBE_ACE2_F7C172FD8BE8\">Vertragsstatus</a>.</p>\n\n<p><p><img src=\"guides/p14D09AE6_4738_4539_9DDF_D79C9385A02A/img1.png\" alt=\"\" width=\"634\" height=\"648\"></p></p>\n\n<p><span class=\"tag_important\">Einzelne Phasen können über Buttons in der Multifunktionsleiste der Clients ausgelöst werden. Weitere Informationen über Ablauf und Kontrollmöglichkeiten geben die entsprechenden Unterkapitel.</span></p>\n\n<h3 id='p14D09AE6_4738_4539_9DDF_D79C9385A02A-section-zust%C3%A4nde-im-detail'>Zustände im Detail</h3>\n\n<p><span\nstyle='font-weight:bold'>Entwurf</span></p>\n\n<ul>\n<li>Eingabe der Stammdaten</li>\n<li>Festlegung von Fristen und Volumen</li>\n<li>Abschluss: <span\nstyle='text-decoration:underline'>Vertragsfreigabe einleiten</span></li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>In Freigabe</span></p>\n\n<ul>\n<li>Prüfung durch diverse Stellen</li>\n<li>Freigabe-Prozess durch Workflow gesteuert</li>\n<li>Korrekturen möglich, andernfalls zurück in den Entwurfszustand</li>\n<li>Abschluss: <span\nstyle='text-decoration:underline'>Vertrag freigegeben</span></li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>In Verhandlung</span></p>\n\n<ul>\n<li>Inhalte sollten bereits fix sein</li>\n<li>Vertragsabschluss nach Unterschrift</li>\n<li>Korrekturen möglich, im Zweifel erneute Freigabe</li>\n<li>Abschluss: <span\nstyle='text-decoration:underline'>Vertrag wird abgeschlossen</span></li>\n<li>Abbruch: <span\nstyle='text-decoration:underline'>Verhandlung abgebrochen</span></li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>Abgeschlossen</span></p>\n\n<ul>\n<li>Der Vertrag ist unterzeichnet, wartet jedoch auf seinen Vertragsbeginn</li>\n<li>Gilt als Übergangsphase, es können parallel Vorbereitungen für die Erfüllung starten</li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>Aktiv</span></p>\n\n<ul>\n<li>Hauptzustand bei laufenden Verträgen: der Vertrag ist &quot;in Kraft&quot;</li>\n<li>Regelmäßige Aktionen: <span\nstyle='text-decoration:underline'>Wiedervorlage/Verlängerung</span></li>\n<li>Außerordentliche Aktionen: <span\nstyle='text-decoration:underline'>Bericht erzeugen</span>, <span\nstyle='text-decoration:underline'>Anpassungen</span>, <span style='text-decoration:\nunderline'>Kündigung einleiten</span></li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>Beendet</span></p>\n\n<ul>\n<li>Ausgelaufen / gekündigt</li>\n<li>Vertragsende ist festgelegt und abgelaufen</li>\n<li>Die Wiederaufnahme ist nur mit einem neuem Vertrag möglich</li>\n<li>Bei einer Kündigung wurde zuvor ein Kündigungsdatum festgelegt</li>\n</ul>\n\n\n<p><span\nstyle='font-weight:bold'>Abgebrochen</span></p>\n\n<ul>\n<li>Sollte nur möglich sein vor Abschluss des Vertrags</li>\n<li>In Ausnahmefällen auch danach möglich (z.B. innerhalb einer festgeschriebenen Widerspruchsfrist)</li>\n</ul>\n\n","title":"Vertragsphasen"});