Ext.data.JsonP.p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04({"guide":"<h1 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-vertragsabschluss'>Vertragsabschluss</h1>\n\n<p>Ein Vertrag gilt als abgeschlossen, sobald er von den Vertragspartnern unterschrieben wurde. In der Regel wartet er dann auf sein Inkrafttreten, sofern dieses nicht unmittelbar gewählt wurde. Neben dem Datum der Unterzeichnung ist also besonders das Datum des Vertragsbeginns von Bedeutung.</p>\n\n<blockquote><p><span\nstyle='font-style:italic'>Im Anschluss an eine Vertragsverhandlung markiert der Vertragsverantwortliche diesen als abgeschlossen. Neben dem Datum des Abschlusses trägt er auch einen Kommentar ein, der über den Ausgang der Verhandlung informiert. </span></p></blockquote>\n\n<p><p><img src=\"guides/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04/img1.png\" alt=\"\" width=\"414\" height=\"361\"></p></p>\n\n<p><span class=\"tag_important\">Mit dem Abschluss eines Vertrages gilt das hinterlegte Vertragsdokument als final. Weitere Anpassungen bedürfen des Einverständnisses beider Vertragspartner.</span></p>\n\n<p><span class=\"tag_warning\">Verträge, die rechtskräftig sind, müssen als abgeschlossen markiert werden. Dies erlaubt eine Berechnung nach aktiven und inaktiven Verträgen.</span></p>\n\n<h2 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-aktion%3A-vertrag-abschlie%C3%9Fen'>Aktion: Vertrag abschließen</h2>\n\n<p>Die Aktion kann im Reiter <code>Verträge</code> der Multifunktionsleiste aufgerufen werden.</p>\n\n<p><p><img src=\"guides/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04/img3.png\" alt=\"\" width=\"1199\" height=\"166\"></p></p>\n\n<h3 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-vorbedingungen'>Vorbedingungen</h3>\n\n<ul>\n<li>Ein Vertrag ist ausgewählt.</li>\n</ul>\n\n\n<h3 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-dateneingabe'>Dateneingabe</h3>\n\n<p>Für die Dateneingabe wird die Formular-Tab-Gruppe <code>004_sign_contract</code> eingesetzt.</p>\n\n<p><p><img src=\"guides/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04/img5.png\" alt=\"\" width=\"600\" height=\"600\"></p></p>\n\n<p>Diese setzt sich aus folgenden Bausteinen zusammen:</p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Vertragsabschluss</span></td><td><span\nstyle='font-weight:bold'>Vertragsdaten</span></td><td><span\nstyle='font-weight:bold'>Laufzeit</span></td><td><span\nstyle='font-weight:bold'>Vertragspartner</span></td><td><span\nstyle='font-weight:bold'>Zahlungsplan</span></td></tr></thead><tbody><tr><td>620_conclusion</td><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td></td><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td></td><td>230_contract_data</td><td></td><td></td><td></td></tr><tr><td></td><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td></td><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>\n\n\n<h3 id='p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04-section-implementierung'>Implementierung</h3>\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration <code>sol.contract.ContractConcluded</code>.</span></p>\n\n<p>Der <span\nstyle='font-weight:bold'>technische Ablauf</span> wird durch die Index Server Aktion <code><a href=\"#!/api/sol.contract.ix.actions.ConcludeContract\" rel=\"sol.contract.ix.actions.ConcludeContract\" class=\"docClass\">sol.contract.ix.actions.ConcludeContract</a></code> implementiert. Diese startet den Workflow <code>sol.contract.contract.conclude</code>.</p>\n\n<p>Im Erfolgsfall werden folgende Events an den Client übermittelt:</p>\n\n<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Zeigt das Formular zur Dateneingabe in einem Dialog an.</td><td></td></tr><tr><td>REFRESH</td><td>Aktualisiert die Darstellung des SORD-Objekts.</td><td></td></tr></tbody></table>\n\n\n<p><span\nstyle='font-weight:bold'>Beschreibung des Workflows</span></p>\n\n<p><p><img src=\"guides/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04/img7.png\" alt=\"\" width=\"443\" height=\"493\"></p></p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Knotenbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Knotenname deutsch und Beschreibung</span></td><td><span\nstyle='font-weight:bold'>Funktion</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>Contract conclusion</span></td><td><span\nstyle='font-weight:bold'>Vertragsabschluss</span><br />Benutzerknoten: Markierung eines Vertrags als abgeschlossen.</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>STATUS: Concluded</span></td><td><span\nstyle='font-weight:bold'>STATUS: Abgeschlossen</span><br />Verteilungsknoten: Setzt das Indexfeld CONTRACT_STATUS auf `S`</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Contract concluded</span></td><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Vertrag abgeschlossen</span><br />Verteilungsknoten: Setzt die Farbe des SORD Objekts</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeColor\" rel=\"sol.common.ix.functions.ChangeColor\" class=\"docClass\">sol.common.ix.functions.ChangeColor</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Contract concluded</span></td><td><span\nstyle='font-weight:bold'>FEED: Vertrag abgeschlossen</span><br />Verteilungsknoten: Legt einen Feed-Eintrag zum Verhandlungsabschluss an.</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr></tbody></table>\n\n\n\n","title":"Vertragsabschluss"});