Ext.data.JsonP.p54A6AC69_E610_48D0_B2E5_CE4E57CE809A({"guide":"<h1 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-vertrag-anlegen'>Vertrag anlegen</h1>\n\n<p>Für die Neuanlage eines Vertrags ist die<span\nstyle='font-weight:bold'> aktuelle Vertragsphase</span> relevant. Grundlegend lassen sich zwei Szenarien erläutern: Der Entwurf eines vollkommen neuen Vertrags auf Basis vordefinierter Vertragsvorlagen oder die Erfassung eines bereits bestehenden Vertrags bzw. einer bereits begonnenen Vertragsanbahnung. Aus diesem Grund kann die Wahl der aktuellen Vertragsphase beim Anlegen frei gewählt werden.</p>\n\n<blockquote><p><span\nstyle='font-style:italic'>Am gestrigen Tag wurde von einem Vertriebsmitarbeiter ein Endkundenvertrag vom Typ &quot;</span><span\nstyle='font-weight:bold;font-style:italic'>Kaufvertrag</span><span\nstyle='font-style:italic'>&quot; abgeschlossen. Dieser wird eingescannt und als neuer </span><span\nstyle='font-weight:bold;font-style:italic'>ausgehender</span><span\nstyle='font-style:italic'> Vertrag im System abgelegt. Bei der Anlage des Vertrags wird der Status auf </span><span\nstyle='font-weight:bold;font-style:italic'>Abgeschlossen</span><span\nstyle='font-style:italic'> gesetzt, da die Unterschrift bereits vorliegt.</span></p>\n\n<p><span\nstyle='font-style:italic'>In einer Verhandlungsrunde wurde beschlossen, einen neuen Rahmenvertrag zur Abnahme von Lizenzen abzuschließen. Es wird ein neuer </span><span\nstyle='font-weight:bold;font-style:italic'>eingehender</span><span\nstyle='font-style:italic'> Vertrag vom Typ </span><span style='font-weight:\nbold;font-style:italic'>Rahmenvertrag</span><span style='font-style:italic'> angelegt. Dieser befindet sich noch im </span><span\nstyle='font-weight:bold;font-style:italic'>Entwurf</span><span\nstyle='font-style:italic'>-Status, da sich das Vertragsdokument zum gegenwärtigen Zeitpunkt in Bearbeitung befindet.</span></p></blockquote>\n\n<p>Ein Vertrag, der angelegt wird, muss auf einem <a\nhref=\"#!/guide/p7B9917EA_3551_445E_A621_AF59E23AE8DF\">Vertragstyp</a> basieren. Es können so jeweils passende Stammdaten vorbelegt werden, um dem Benutzer die Datenerfassung zu erleichtern. Beim Anlegen des Vertrags wird die Vorlage geklont. Im Laufe der weiteren Bearbeitung können weitere Daten hinzugefügt, Prozesse gestartet sowie Dokumente erzeugt werden.</p>\n\n<p>Der neu angelegte Vertrag wird in eine <a\nhref=\"#!/guide/p551C5305_D9E1_41D7_9927_32EECF2E617B\">Ablagestruktur</a> überführt, damit dieser jederzeit über den Archivbaum auffindbar ist.</p>\n\n<h2 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-aktion%3A-vertrag-anlegen'>Aktion: Vertrag anlegen</h2>\n\n<p>Die Aktion kann im Reiter <code>Verträge</code> der Multifunktionsleiste aufgerufen werden.</p>\n\n<p><p><img src=\"guides/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A/img1.png\" alt=\"\" width=\"1200\" height=\"166\"></p></p>\n\n<p>Ab ELO 10 wird zusätzlich die Kachel <span\nstyle='font-weight:bold'>Vertrag anlegen </span>angeboten.</p>\n\n<p><p><img src=\"guides/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A/img3.png\" alt=\"\" width=\"1199\" height=\"246\"></p></p>\n\n<h3 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-vorbedingungen'>Vorbedingungen</h3>\n\n<ul>\n<li>Verträge dürfen <span\nstyle='font-weight:bold'>kontextlos</span> angelegt werden.</li>\n<li><span\nstyle='font-weight:bold'>Vertragstyp</span> auswählen (nur falls mehrere Typen vorhanden).</li>\n</ul>\n\n\n<h3 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-dateneingabe'>Dateneingabe</h3>\n\n<p>Für die Dateneingabe wird die Formular-Tab-Gruppe <code>002_create_contract</code> eingesetzt.</p>\n\n<p><p><img src=\"guides/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A/img5.png\" alt=\"\" width=\"808\" height=\"845\"></p></p>\n\n<p>Diese setzt sich aus folgenden Bausteinen zusammen:</p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Vertragsdaten</span></td><td><span\nstyle='font-weight:bold'>Laufzeit</span></td><td><span\nstyle='font-weight:bold'>Vertragspartner</span></td><td><span\nstyle='font-weight:bold'>Zahlungsplan</span></td></tr></thead><tbody><tr><td>210_general</td><td>310_duration</td><td>510_partner</td><td>410_payment</td></tr><tr><td>220_company</td><td></td><td>520_partner_address</td><td></td></tr><tr><td>230_contract_data</td><td></td><td>530_partner_contact</td><td></td></tr><tr><td>240_accounting</td><td></td><td></td><td></td></tr><tr><td>250_project</td><td></td><td></td><td></td></tr></tbody></table>\n\n\n<h3 id='p54A6AC69_E610_48D0_B2E5_CE4E57CE809A-section-implementierung'>Implementierung</h3>\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration <code>sol.contract.CreateContract</code>.</span></p>\n\n<p>Der <span\nstyle='font-weight:bold'>technische Ablauf</span> wird durch die Index Server Aktion <code><a href=\"#!/api/sol.contract.ix.actions.CreateContract\" rel=\"sol.contract.ix.actions.CreateContract\" class=\"docClass\">sol.contract.ix.actions.CreateContract</a></code> implementiert. Diese klont ein neues Element auf Basis des ausgewählten Vertragstyps in der Chaosablage und startet den Workflow <code>sol.contract.contract.create</code>.</p>\n\n<p>Im Erfolgsfall werden folgende Events an den Client übermittelt:</p>\n\n<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Zeigt das Formular zur Dateneingabe in einem Dialog an.</td><td></td></tr><tr><td>GOTO</td><td>Zeigt das neu angelegte Element im Client an.</td><td></td></tr></tbody></table>\n\n\n<p><span\nstyle='font-weight:bold'>Beschreibung des Workflows</span></p>\n\n<p><p><img src=\"guides/p54A6AC69_E610_48D0_B2E5_CE4E57CE809A/img7.png\" alt=\"\" width=\"502\" height=\"512\"></p></p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Knotenbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Knotenname deutsch und Beschreibung</span></td><td><span\nstyle='font-weight:bold'>Funktion</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>Data entry</span></td><td><span\nstyle='font-weight:bold'>Vertrag anlegen</span><br />Benutzerknoten: Anlegen eines neuen Vertrags durch den Eigentümer</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>MOVE: contract</span></td><td><span\nstyle='font-weight:bold'>MOVE: Vertrag</span><br />Verteilungsknoten: Verschiebt das Vertrags-SORD in ein anderes Verzeichnis</td><td><a href=\"#!/api/sol.common.ix.functions.Move\" rel=\"sol.common.ix.functions.Move\" class=\"docClass\">sol.common.ix.functions.Move</a></td></tr><tr><td><span\nstyle='font-weight:bold'>GENERATOR: contract no.</span></td><td><span\nstyle='font-weight:bold'>GENERATOR: Vertragsnummer</span><br />Verteilungsknoten: Erzeugt eine interne Vertragsnummer</td><td><a href=\"#!/api/sol.contract.ix.functions.generators.GenerateContractNo\" rel=\"sol.contract.ix.functions.generators.GenerateContractNo\" class=\"docClass\">sol.contract.ix.functions.generators.GenerateContractNo</a></td></tr><tr><td><span\nstyle='font-weight:bold'>GENERATOR: short description</span></td><td><span\nstyle='font-weight:bold'>GENERATOR: Kurzbezeichnung</span><br />Verteilungsknoten: Passt die Kurzbezeichnung des Vertrags an</td><td><a href=\"#!/api/sol.contract.ix.functions.generators.GenerateContractShortDesc\" rel=\"sol.contract.ix.functions.generators.GenerateContractShortDesc\" class=\"docClass\">sol.contract.ix.functions.generators.GenerateContractShortDesc</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: contract created</span></td><td><span\nstyle='font-weight:bold'>FEED: Vertrag angelegt</span><br />Verteilungsknoten: Legt einen Feed-Eintrag zum Anlegen des Vertrags an</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>DELETE: temporary record</span></td><td><span\nstyle='font-weight:bold'>DELETE: temporary record</span><br />Verteilungsknoten: Löscht das SORD Objekt aus der Chaosablage</td><td><a href=\"#!/api/sol.common.ix.functions.Delete\" rel=\"sol.common.ix.functions.Delete\" class=\"docClass\">sol.common.ix.functions.Delete</a></td></tr></tbody></table>\n\n","title":"Vertrag anlegen"});