Ext.data.JsonP.p696709C3_49EB_48C4_9963_DFC565BB36EC({"guide":"<h1 id='p696709C3_49EB_48C4_9963_DFC565BB36EC-section-dynamische-ordner'>Dynamische Ordner</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ul>\n<li>1. <a href='#!/guide/p696709C3_49EB_48C4_9963_DFC565BB36EC-section-dynamische-ordner-als-archivansicht'>Dynamische Ordner als Archivansicht</a>\n </li>\n<li>2. <a href='#!/guide/p696709C3_49EB_48C4_9963_DFC565BB36EC-section-eigene-ordner-erstellen'>Eigene Ordner erstellen</a>\n </li>\n</ul></div>\n\n<p>Verträge durchlaufen in ihrem Lebenszyklus verschiedene Zustände und Status. Ziel der Vertragsüberwachung ist es, diese im Überblick zu behalten und einen schnellen Zugriff zu gewährleisten.</p>\n\n<p>Dynamische Ordner helfen bei dieser Aufgabe und geben unterschiedliche Sichten auf Verträge. Hierzu werden im Standard Suchen für Verträge nach deren <span\nstyle='font-weight:bold;font-style:italic'>Beziehung</span>, <span\nstyle='font-weight:bold;font-style:italic'>Fristen</span>, <span\nstyle='font-weight:bold;font-style:italic'>Risikoeinstufung</span>, <span\nstyle='font-weight:bold;font-style:italic'>Status</span> sowie deren <span\nstyle='font-weight:bold;font-style:italic'>Zustand</span> ausgeliefert.</p>\n\n<p><p><img src=\"guides/p696709C3_49EB_48C4_9963_DFC565BB36EC/img1.png\" alt=\"\" width=\"359\" height=\"621\"></p></p>\n\n<h2 id='p696709C3_49EB_48C4_9963_DFC565BB36EC-section-dynamische-ordner-als-archivansicht'>Dynamische Ordner als Archivansicht</h2>\n\n<p>Wird ein dynamischer Ordner als<span\nstyle='font-weight:bold;font-style:italic'> Archivansicht gespeichert</span>, kann die Anzahl der enthaltenen Einträge im Client angezeigt werden.</p>\n\n<p>Die Archivansicht kann über die Kacheleinstellungen (ELO 10) konfiguriert werden. In den Optionen kann u. a. definiert werden, Archivansichten an die <span\nstyle='font-weight:bold;font-style:italic'>Navigationsleiste anzuheften </span>sowie die <span\nstyle='font-weight:bold;font-style:italic'>Anzahl der Einträge einer Ansicht</span> anzublenden.</p>\n\n<p><p><img src=\"guides/p696709C3_49EB_48C4_9963_DFC565BB36EC/img3.png\" alt=\"\" width=\"1218\" height=\"512\"></p></p>\n\n<h2 id='p696709C3_49EB_48C4_9963_DFC565BB36EC-section-eigene-ordner-erstellen'>Eigene Ordner erstellen</h2>\n\n<p>Eigene Sichten können über die Funktion<span\nstyle='font-weight:bold;font-style:italic'> Dynamischer Ordner erzeugen</span> der Suche im ELO Java Client erstellt werden.</p>\n\n<p><span class=\"tag_warning\">Bei der Erstellung sollte darauf geachtet werden Verträge über den Objekttyp (Maskenfeld <span\nstyle='font-weight:bold;font-style:italic'>SOL_TYPE = CONTRACT</span>) zu identifizieren. Bei Mehrsprachigen Umgebungen sollte zudem darauf geachtet werden, Status nach deren Präfix zu identifizieren. (S* anstelle von S - Abgeschlossen)</span></p>\n\n<p><span class=\"tag_important\">Relative Datumsbereichssuchen (ausgehend vom heutigen Tag) bspw. Verträge der letzten 30 Tage, können erst ab ELO Version 10.1 über die Suche erstellt werden. Der ELO Indexserver unterstützt dies aber schon ab Version 9.3.</span></p>\n\n<p><span\nstyle='font-weight:bold'>Erstellen von relativen Datumsbereichen vor ELO 10.1</span></p>\n\n<p>Für ELO 9.3 und ELO 10 können relative Datumsbereiche manuell angelegt werden. Hierzu muss eine Maskensuche erstellt werden, welche alle benötigten Kriterien enthält. Nachdem diese als dynamischer Ordner gespeichert wurde, enthält der Zusatztext eine JSON-Definition der Suche für den Indexserver.</p>\n\n<p>Informationen über den Aufbau der Datumssuchen finden sich in der Versionsgeschichte und JavaDoc des Indexservers. Geändert werden muss hier das data-Objekt der ObjKeys.</p>\n\n<pre><code>\"data\":[\"+0000-00-00...+0000-00-30\"]\n</code></pre>\n\n<p>Der gesamte Inhalt des Zusatztextes (hier für <span\nstyle='font-weight:bold;font-style:italic'>auslaufende Verträge der kommenden 30 Tage</span>) zeigt sich anschließend wie folgt.</p>\n\n<pre><code>!=JSON10{\"findByIndex\":{\"delDateIso\":\"\",\"kind\":\"\",\"maskId\":\"\",\"exactName\":false,\"acl\":\"\",\"pathId\":\"\",\"objKeys\":[\n{\"data\":[\"CONTRACT\"],\"name\":\"SOL_TYPE\",\"objId\":0,\"id\":0,\"clazz\":\"de.elo.ix.client.ObjKey\"},\n{\"data\":[\"+0000-00-30...+0000-00-00\"],\"name\":\"NEXT_POSSIBLE_TERMINATION\",\"objId\":0,\"id\":0,\"clazz\":\"de.elo.ix.client.ObjKey\"}, \n{\"data\":[\"CONTRACT\"],\"name\":\"SOL_TYPE\",\"objId\":0,\"id\":0,\"clazz\":\"de.elo.ix.client.ObjKey\"},\n{\"data\":[\"S*\"],\"name\":\"CONTRACT_STATUS\",\"objId\":0,\"id\":0,\"clazz\":\"de.elo.ix.client.ObjKey\"}],\n\"ownerId\":\"\",\"xDateIso\":\"\",\"iDateIso\":\"\",\"name\":\"\",\"clazz\":\"de.elo.ix.client.FindByIndex\",\"desc\":\"\"},\"clazz\":\"de.elo.ix.client.FindInfo\",\"findOptions\":{\"searchLifetimeSeconds\":0,\"escapeChar\":\"\",\"evalCount\":false,\"searchMode\":{\"_bs\":[0,0,0,0],\"clazz\":\"de.elo.ix.client.SearchModeZ\"},\"wildcards\":\"\",\"orderBy\":\"\",\"onlyDeleted\":false,\"lockZ\":{\"_bs\":[0,0,0,0],\"clazz\":\"de.elo.ix.client.LockZ\"},\"totalCount\":0,\"TStamp\":\"\",\"searchId\":\"\",\"rangeDelimiter\":\"...\",\"reserved\":\"0\",\"sortOrder\":1005,\"excludeSummary\":true,\"timeoutSeconds\":0,\"clazz\":\"de.elo.ix.client.FindOptions\",\"inclDeleted\":false}}\n</code></pre>\n","title":"Dynamische Ordner"});