Ext.data.JsonP.p987E8B3B_D687_486E_A601_F4A3D4ED84EA({"guide":"<h1 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-dokument-erstellen'>Dokument erstellen</h1>\n\n<p>Bei der Erstellung von Dokumenten kann auf alle hinterlegten <a\nhref=\"#!/guide/p2F6C9FC4_91A9_4C37_B107_05A466B7C906\">Dokumentvorlagen</a> zugegriffen werden. Dies ermöglicht es, zu einem Vertrag standardisiert Dokumente zu erzeugen und Informationen aus dem Vertrag zu übernehmen. Außerdem können vorgefertigte <a\nhref=\"#!/guide/pD9B63C45_48A0_4A0C_8FBD_B8BAB435312F\">Vertragsklauseln</a> in das Dokument aufgenommen werden.</p>\n\n<blockquote><p><span\nstyle='font-style:italic'>Zu einem Vertrag soll ein neues Vertragsdokument angefertigt werden. Im Kopf des Dokuments werden Ansprechpartner, sowie die Adresse des Vertragspartners automatisch befüllt.</span></p></blockquote>\n\n<h2 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-aktion%3A-dokument-erstellen'>Aktion: Dokument erstellen</h2>\n\n<p>Die Aktion kann im Reiter <code>Verträge</code> der Multifunktionsleiste aufgerufen werden.</p>\n\n<p><p><img src=\"guides/p987E8B3B_D687_486E_A601_F4A3D4ED84EA/img1.png\" alt=\"\" width=\"1200\" height=\"166\"></p></p>\n\n<h3 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-vorbedingungen'>Vorbedingungen</h3>\n\n<ul>\n<li>Der Anwender befindet sich im Client auf oder innerhalb eines Vertrags</li>\n<li><span\nstyle='font-weight:bold'>Dokumenttemplate </span>auswählen</li>\n</ul>\n\n\n<h3 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-dateneingabe'>Dateneingabe</h3>\n\n<p>Für die Dateneingabe wird die Formular-Tab-Gruppe <span\nstyle='font-weight:bold;font-style:italic'>002_create_document</span> des Formulars <span\nstyle='font-weight:bold;font-style:italic'>sol_contract_document</span> eingesetzt.</p>\n\n<p><span class=\"tag_warning\">Weitere Informationen müssen vom Namen in der Dokumentvorlage hinterlegt werden. Befinden sich keine CUSTOM-Felder in der Vorlage, wird der gesamte Block <code>Weitere Informationen</code> ausgeblendet.</span></p>\n\n<p><p><img src=\"guides/p987E8B3B_D687_486E_A601_F4A3D4ED84EA/img3.png\" alt=\"\" width=\"601\" height=\"600\"></p></p>\n\n<p>Das Formular setzt sich aus folgenden Bausteinen zusammen:</p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Dokument</span></td><td><span\nstyle='font-weight:bold'>Weitere Informationen</span></td></tr></thead><tbody><tr><td>210_document</td><td>220_general_readonly</td></tr><tr><td>311_additional_info_create</td><td>230_company_readonly</td></tr><tr><td>400_clauses</td><td>240_contract_data_readonly</td></tr><tr><td></td><td>250_partner_readonly</td></tr></tbody></table>\n\n\n<p>Anschließend wird die Vorlage kopiert, die Formularfelder werden mit den Daten des Vertrags ausgefüllt, die gewünschten Vertragsklauseln werden am Ende des Dokuments angefügt und das Dokument wird umgehend zur weiteren Bearbeitung geöffnet.</p>\n\n<p><p><img src=\"guides/p987E8B3B_D687_486E_A601_F4A3D4ED84EA/img5.png\" alt=\"\" width=\"1188\" height=\"727\"></p></p>\n\n<p><span class=\"tag_important\">Klauseln können dann an die gewünschte Stelle im Dokument verschoben werden. Wichtig ist hierbei lediglich, dass der umgebende Container bestehen bleibt, um weiterhin eine inhaltliche Aktualisierung zu unterstützen.</span></p>\n\n<p><span class=\"tag_warning\">Platzhalter und Klauseln können im Dokument inhaltlich bearbeitet werden. Allerdings ist dies mit Vorsicht zu genießen, da beim Aktualisieren der Daten etwaige Änderungen ohne Nachfrage überschrieben werden können.</span></p>\n\n<h3 id='p987E8B3B_D687_486E_A601_F4A3D4ED84EA-section-implementierung'>Implementierung</h3>\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration <code>sol.contract.documents.CreateDocument</code>.</span></p>\n\n<p>Der <span\nstyle='font-weight:bold'>technische Ablauf</span> wird durch die ELOas Aktionen <code><a href=\"#!/api/sol.contract.as.actions.PrepareDocument\" rel=\"sol.contract.as.actions.PrepareDocument\" class=\"docClass\">sol.contract.as.actions.PrepareDocument</a></code> und <code><a href=\"#!/api/sol.contract.as.actions.CreateDocument\" rel=\"sol.contract.as.actions.CreateDocument\" class=\"docClass\">sol.contract.as.actions.CreateDocument</a></code> implementiert.</p>\n\n<p>Hierbei handelt es sich um eine verkettete Aktion. Nach Start der Aktion (Klick auf den Button in der Multifunktionsleiste) wird <span\nstyle='font-weight:bold;font-style:italic'>PrepareDocument</span> ausgeführt. Nach<span\nstyle='font-weight:bold;font-style:italic'> erfolgreicher Dateneingabe</span> durch den Benutzer (Absenden des Formulars) wird <span\nstyle='font-weight:bold;font-style:italic'>CreateDocument</span> ausgelöst.</p>\n\n<p><p><img src=\"guides/p987E8B3B_D687_486E_A601_F4A3D4ED84EA/img7.png\" alt=\"\" width=\"837\" height=\"618\"></p></p>\n\n<p><span class=\"tag_important\">Diese Verkettung ist notwendig, damit die zweite Aktion (respektive das Template) Zugriff auf alle Metadaten des Dokuments (inkl. aller generierten Werte) hat. Weitere Informationen zu verketteten Aktionen gibt die Allgemeine Dokumentation zu &quot;Business Solutions&quot;.</span></p>\n\n<p>PrepareDocument legt ein leeres Dokument auf Basis der ausgewählten Vorlage an und startet den für das Dokument hinterlegten Standard-Workflow. Der Standard-Workflow erlaubt es, den technischen Ablauf bei der Datenerfassung und Vorbelegung von Informationen je nach Dokumenttyp zu steuern.</p>\n\n<blockquote><p><span\nstyle='font-style:italic'>Ein Beispiel: Die Standardlogik im Formular für das Erstellen von neuen Dokumenten reicht nicht aus. In diesem Fall kann  der Workflow <code>sol.contract.document.create</code> kopiert werden und das Benutzerformular speziell auf den Dokumenttyp angepasst werden. Somit kann auch bei unterschiedlichen Verschlagwortungsmasken auf Besonderheiten eingegangen werden.</span></p></blockquote>\n\n<p>Im Anschluss wird die Aktion CreateDocument aufgerufen. Diese öffnet das Dokument und ersetzt Platzhaltertexte durch Informationen des Vertrags oder individuelle Felder des Dokuments. Die gewünschten Vertragsklauseln werden am Ende des Dokuments angefügt.</p>\n\n<p>Im Erfolgsfall werden folgende Events an den Client übermittelt:</p>\n\n<p><span\nstyle='font-weight:bold'>PrepareDocument</span></p>\n\n<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>DIALOG</td><td>Zeigt das Formular zur Dateneingabe in einem Dialog an.</td><td></td></tr><tr><td>ACTION</td><td>Ruft nach Eingabe im Formular <span\nstyle='font-weight:bold'>CreateDocument</span> auf.</td><td>SUCCESS</td></tr></tbody></table>\n\n\n<p><span\nstyle='font-weight:bold'>CreateDocument</span></p>\n\n<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>GOTO</td><td>Zeigt das neu angelegte Element im Client an.<br />Dokument wird ausgecheckt und geöffnet.</td><td></td></tr></tbody></table>\n\n\n<p><span\nstyle='font-weight:bold'>Beschreibung des Workflows</span></p>\n\n<p><p><img src=\"guides/p987E8B3B_D687_486E_A601_F4A3D4ED84EA/img9.png\" alt=\"\" width=\"433\" height=\"390\"></p></p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Knotenbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Knotenname deutsch und Beschreibung</span></td><td><span\nstyle='font-weight:bold'>Funktion</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>collect data (file)</span></td><td><span\nstyle='font-weight:bold'>Daten erfassen</span><br />Erfassen der benötigten Informationen</td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>create document</span></td><td><span\nstyle='font-weight:bold'>Dokument anlegen (Weiterleiten)</span></td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>cancel</span></td><td><span\nstyle='font-weight:bold'>Abbrechen (Weiterleiten)</span></td><td></td></tr><tr><td><span\nstyle='font-weight:bold'>DELETE : temporary file</span></td><td>Löscht das temporäre Element</td><td><a href=\"#!/api/sol.common.ix.functions.Delete\" rel=\"sol.common.ix.functions.Delete\" class=\"docClass\">sol.common.ix.functions.Delete</a></td></tr><tr><td><span\nstyle='font-weight:bold'>USERTOINDEX : responsible user</span></td><td>Setzt den aktuellen Benutzer als Verantwortlichen des Dokuments.</td><td><a href=\"#!/api/sol.common.ix.functions.UserToIndex\" rel=\"sol.common.ix.functions.UserToIndex\" class=\"docClass\">sol.common.ix.functions.UserToIndex</a></td></tr></tbody></table>\n\n\n\n","title":"Dokument erstellen"});