Ext.data.JsonP.pCA6E07D7_E207_47B7_BEFA_14F27954FADF({"guide":"<h1 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-verhandlungsabbruch'>Verhandlungsabbruch</h1>\n\n<p>Die Anbahnung eines Vertrages kann jederzeit vor dem endgültigen Vertragsabschluss abgebrochen werden. Dies kann verschiedene Gründe haben. Sowohl während der Entwurfsphase als auch bei der Freigabe können Formalitäten zu Tage treten, die einen Abbruch notwendig machen. Ebenso kann bei der Verhandlung eine Ablehnung von einem der Vertragspartner erfolgen, weshalb der Vertrag nicht zustande kommt.</p>\n\n<p><p><img src=\"guides/pCA6E07D7_E207_47B7_BEFA_14F27954FADF/img1.png\" alt=\"\" width=\"416\" height=\"363\"></p></p>\n\n<p>Nach Abschluss eines Vertrages und dessen Inkrafttreten kann dieser nur noch durch eine <a\nhref=\"#!/guide/p044AEA6F_B746_4E1E_95BD_EB5B29E7F4D7\">Kündigung</a> aufgelöst werden.</p>\n\n<p><span class=\"tag_warning\">Der Verhandlungsabbruch wird im Standard lediglich markiert. Es werden keine zwingenden Formulareingaben benötigt, sondern lediglich der Status geändert und ein Feed-Beitrag erzeugt. Bei Bedarf kann der hinterlegte Workflow um weitere Funktionsbausteine erweitert werden.</span></p>\n\n<h2 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-aktion%3A-verhandlung-abbrechen'>Aktion: Verhandlung abbrechen</h2>\n\n<p>Die Aktion kann im Reiter <code>Verträge</code> der Multifunktionsleiste aufgerufen werden.</p>\n\n<p><p><img src=\"guides/pCA6E07D7_E207_47B7_BEFA_14F27954FADF/img3.png\" alt=\"\" width=\"1200\" height=\"166\"></p></p>\n\n<h3 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-vorbedingungen'>Vorbedingungen</h3>\n\n<ul>\n<li>Ein Vertrag ist ausgewählt.</li>\n</ul>\n\n\n<h3 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-dateneingabe'>Dateneingabe</h3>\n\n<p>Für diese Aktion ist keine Dateneingabe vorgesehen.</p>\n\n<h3 id='pCA6E07D7_E207_47B7_BEFA_14F27954FADF-section-implementierung'>Implementierung</h3>\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration <code>sol.contract.NegotiationCanceled</code>.</span></p>\n\n<p>Der <span\nstyle='font-weight:bold'>technische Ablauf</span> wird durch die Index Server Aktion <code><a href=\"#!/api/sol.contract.ix.actions.CancelNegotiation\" rel=\"sol.contract.ix.actions.CancelNegotiation\" class=\"docClass\">sol.contract.ix.actions.CancelNegotiation</a></code> implementiert.\nDiese  startet den Workflow <code>sol.contract.contract.cancelNegotiation</code>.</p>\n\n<p>Im Erfolgsfall werden folgende Events an den Client übermittelt:</p>\n\n<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>FEEDBACK</td><td>Zeigt eine kurze Benachrichtigung zum Verhandlungsabbruch an.</td><td></td></tr><tr><td>REFRESH</td><td>Aktualisiert die Darstellung des SORD-Objekts.</td><td></td></tr></tbody></table>\n\n\n<p><span\nstyle='font-weight:bold'>Beschreibung des Workflows</span></p>\n\n<p><p><img src=\"guides/pCA6E07D7_E207_47B7_BEFA_14F27954FADF/img5.png\" alt=\"\" width=\"354\" height=\"313\"></p></p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Knotenbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Knotenname deutsch und Beschreibung</span></td><td><span\nstyle='font-weight:bold'>Funktion</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>STATUS: Canceled</span></td><td><span\nstyle='font-weight:bold'>STATUS: Abgebrochen</span><br />Verteilungsknoten: Setzt das Indexfeld CONTRACT_STATUS auf `C`</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Negotiation canceled</span></td><td><span\nstyle='font-weight:bold'>FEED: Verhandlung abgebrochen</span><br />Verteilungsknoten: Legt einen Feed-Eintrag zum Verhandlungsabbruch an.</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Contract terminated</span></td><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Vertrag beendet</span><br />Verteilungsknoten: Setzt die Farbe des SORD Objekts</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeColor\" rel=\"sol.common.ix.functions.ChangeColor\" class=\"docClass\">sol.common.ix.functions.ChangeColor</a></td></tr></tbody></table>\n\n\n\n","title":"Verhandlungsabbruch"});