Ext.data.JsonP.pFA843D33_178F_4995_9EF9_6807252DC76E({"guide":"<h1 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-verhandlung'>Verhandlung</h1>\n\n<p>Die Vertragsverhandlung ist in vielen Fällen eine eigene Phase in der Anbahnung eines Vertrages. Üblicherweise kann nach der <a\nhref=\"#!/guide/p1F35B19F_A3A8_4697_9545_4DA7B5D9C70C\">Freigabe</a> eines Vertragsentwurfs die Verhandlung mit dem Vertragspartner beginnen. Den Abschluss dieser Phase markiert entweder der erfolgreiche <a\nhref=\"#!/guide/p192FFD74_D7B7_4E7E_84B6_8D7E296D3D04\">Vertragsabschluss</a> (sprich die Unterzeichnung) oder der <a\nhref=\"#!/guide/pCA6E07D7_E207_47B7_BEFA_14F27954FADF\">Abbruch der Vertragsverhandlung</a>.</p>\n\n<p><p><img src=\"guides/pFA843D33_178F_4995_9EF9_6807252DC76E/img1.png\" alt=\"\" width=\"421\" height=\"367\"></p></p>\n\n<blockquote><p><span\nstyle='font-style:italic'>Ein Vertragsentwurf wurde von verschiedenen Stellen freigegeben und kann in die Verhandlung gehen. Es wird dabei ein  vorläufiges Vertragsdokument erzeugt und dem Vertragspartner vorgelegt. Im Laufe einer Verhandlung können immer noch Änderungen vorgenommen werden. Hierbei kann je nach Schwere der Änderung eine erneute Freigabe nötig sein.</span></p></blockquote>\n\n<p><span class=\"tag_warning\">Die Phase der Verhandlung wird im Standard lediglich markiert. Es werden keine zwingenden Formulareingaben benötigt, sondern lediglich der Status geändert und ein Feed-Beitrag erzeugt. Bei Bedarf kann der hinterlegte Workflow um weitere Funktionsbausteine erweitert werden.</span></p>\n\n<h2 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-aktion%3A-verhandlung-einleiten'>Aktion: Verhandlung einleiten</h2>\n\n<p>Die Aktion kann im Reiter <code>Verträge</code> der Multifunktionsleiste aufgerufen werden.</p>\n\n<p><p><img src=\"guides/pFA843D33_178F_4995_9EF9_6807252DC76E/img3.png\" alt=\"\" width=\"1200\" height=\"166\"></p></p>\n\n<h3 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-vorbedingungen'>Vorbedingungen</h3>\n\n<ul>\n<li>Ein Vertrag ist ausgewählt.</li>\n</ul>\n\n\n<h3 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-dateneingabe'>Dateneingabe</h3>\n\n<p>Für diese Aktion ist keine Dateneingabe vorgesehen.</p>\n\n<h3 id='pFA843D33_178F_4995_9EF9_6807252DC76E-section-implementierung'>Implementierung</h3>\n\n<p><span class=\"tag_warning\"><span\nstyle='font-weight:bold'>Action definitions:</span> Definitionen der Aktion für die Clients finden sich in der Konfiguration <code>sol.contract.NegotiateContract</code>.</span></p>\n\n<p>Der <span\nstyle='font-weight:bold'>technische Ablauf</span> wird durch die Index Server Aktion <code><a href=\"#!/api/sol.contract.ix.actions.NegotiateContract\" rel=\"sol.contract.ix.actions.NegotiateContract\" class=\"docClass\">sol.contract.ix.actions.NegotiateContract</a></code> implementiert.\nDiese startet den Workflow <code>sol.contract.contract.negotiation</code>.</p>\n\n<p>Im Erfolgsfall werden folgende Events an den Client übermittelt:</p>\n\n<table><thead><tr><td>Event</td><td>Beschreibung</td><td>Status</td></tr></thead><tbody><tr><td>FEEDBACK</td><td>Zeigt eine kurze Benachrichtigung zur Verhandlungseinleitung an.</td><td></td></tr><tr><td>REFRESH</td><td>Aktualisiert die Darstellung des SORD-Objekts.</td><td></td></tr></tbody></table>\n\n\n<p><span\nstyle='font-weight:bold'>Beschreibung des Workflows</span></p>\n\n<p><p><img src=\"guides/pFA843D33_178F_4995_9EF9_6807252DC76E/img5.png\" alt=\"\" width=\"314\" height=\"313\"></p></p>\n\n<table><thead><tr><td><span\nstyle='font-weight:bold'>Knotenbezeichnung</span></td><td><span\nstyle='font-weight:bold'>Knotenname deutsch und Beschreibung</span></td><td><span\nstyle='font-weight:bold'>Funktion</span></td></tr></thead><tbody><tr><td><span\nstyle='font-weight:bold'>STATUS: Negotiation</span></td><td><span\nstyle='font-weight:bold'>STATUS: Verhandlung</span><br />Verteilungsknoten: Setzt das Indexfeld CONTRACT_STATUS auf `N`</td><td><a href=\"#!/api/sol.common.ix.functions.Status\" rel=\"sol.common.ix.functions.Status\" class=\"docClass\">sol.common.ix.functions.Status</a></td></tr><tr><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Contract negotiation</span></td><td><span\nstyle='font-weight:bold'>CHANGECOLOR: Vertragsverhandlung</span><br />Verteilungsknoten: Setzt die Farbe des SORD Objekts</td><td><a href=\"#!/api/sol.common.ix.functions.ChangeColor\" rel=\"sol.common.ix.functions.ChangeColor\" class=\"docClass\">sol.common.ix.functions.ChangeColor</a></td></tr><tr><td><span\nstyle='font-weight:bold'>FEED: Contract negotiation</span></td><td><span\nstyle='font-weight:bold'>FEED: Vertragsverhandlung</span><br />Verteilungsknoten: Legt einen Feed-Eintrag zur Einleitung der Vertragsverhandlung an.</td><td><a href=\"#!/api/sol.common.ix.functions.FeedComment\" rel=\"sol.common.ix.functions.FeedComment\" class=\"docClass\">sol.common.ix.functions.FeedComment</a></td></tr></tbody></table>\n\n\n\n","title":"Verhandlung"});